function [s,f]=bensim160226(s,f)

%%--Help Variables and Matrices
%%
s.plantCapInst                                  =   zeros([s.runTime,s.numTech]);
s.feedDmdTot                                    =   zeros(s.runTime,1);
s.feedDmdPJ                                     =   zeros([s.runTime,s.numTech]);
s.plantCapExogen                                =   zeros(s.runTime,s.numTech);
s.fuelProd                                      =   zeros(s.runTime,s.numTech);
s.fuelProdTot                                   =   zeros(s.runTime,1);
s.fuelProdGHGabate                              =   zeros(s.runTime,s.numTech);
s.fuelProdGHGabateTot                           =   zeros(s.runTime,1);
s.sysGHGabateCapTot                             =   zeros(s.runTime,1);
s.plantsInstalledRound                          =   zeros([s.runTime,s.numTech]);
s.cap0                                          =   zeros([s.runTime,s.numTech]);
s.cap0(1,:)                                     =   s.plantCap(1,:);
s.prd                                           =   zeros([s.runTime,s.numTech,s.numSectors]);
s.cost                                          =   zeros([s.runTime,1]);
s.ghgTot                                        =   zeros([s.runTime,1]);
s.prd2                                          =   zeros([s.runTime,s.numTech,s.numSectors]);
s.prd3                                          =   zeros([s.runTime,s.numTech,s.numSectors]);
s.prd4                                          =   0;
s.ghgAbateOptim                                 =   zeros([s.runTime,s.numTech]);
s.ghgAbateOptimTotYear                          =   zeros([s.runTime,1]);
s.ghgEmissionsAllSectorsFossilYearly            =   zeros([s.runTime,1]);
s.ghgAbateOptimTotAllYears                      =   0;
s.ghgEmissionsAllSectorsFossil                  =   0;
s.ghgEmissionsAllSectorsTot                     =   0;
s.ghgEmissionsPowerTot                          =   0;
s.instCap                                       =   zeros([s.runTime,s.numTech]);
s.instCap2                                      =   zeros([s.runTime,s.numTech]);
s.invCost                                       =   zeros([s.runTime,s.numTech]); 
s.runCost                                       =   zeros([s.runTime,s.numTech]);
s.costTot                                       =   zeros([s.runTime,s.numTech]);
s.costTot2                                      =   zeros([s.runTime,1]);
    
%%% Primary calculations
%%

s.plantInvCostInit                              =   s.plantInvCostProMWinit.*s.annuityFactorInvest./(3.6.*s.fullLoadHours);   %/GJ
s.plantInvLevelizedCost                         =   ones([s.runTime,s.numTech]);                                              %/GJ
s.plantInvLevelizedCost(1,:)                    =   s.plantInvCostInit;                                                       %/GJ

s.fuelProd(1,:)                                 =   s.plantCap(1,:);
s.fuelProdTot(1)                                =   sum(s.fuelProd(1,:));

s.plantLearnElast                               =   -log(1-s.plantLearningRate)/log(2);

for i       =   1:s.numTech
    s.plantExogenLearning(i)                    =   10^(log10(1/(1+s.plantLearningRate(i)))/s.learningYears);
%      s.cap0temp(:,i)                                  =   linspace(s.plantCap(1,i),0,s.plantLifeTime(i));
end
% s.cap0=zeros([s.runTime,s.numTech])+s.cap0temp

s.fuelOandMcost(1,:)                            =   (1+s.plantOperMaintShare).*(s.plantMaintInvShare.*s.plantInvCostInit/s.annuityFactorInvest)+s.plantOperLaborCost;
s.fuelOandMcost(2,:)                            =   s.fuelOandMcost(1,:);

s.sysCapTot(1)                                  =   sum(s.plantCap(1,:));

s.plantDecommission(1,:)                        =   s.plantCap(1,:)./s.plantLifeTime;
s.plantDecommissionTot(1,:)                     =   s.plantCap(1,:)./s.plantLifeTime;
s.feedDmdMax(1,:)                               =   s.plantCap(1,:)./s.plantConvEtaInit;
s.feedDmdMaxTot(1)                              =   sum(s.plantCap(1,:)./s.plantConvEtaInit);


s.infrastructureCost(1,:)                       =   s.transportCost(1,:)+s.storageCost(1,:);

s.fuelFeedCost(1,:)                             =   s.feedPrice(1,:)./(s.feedEnergyContent.*s.plantConvEta(1,:));

s.feedCostHeatPower(1,:)                        =   s.powerInput.*s.powerPrice(1)+s.heatInput.*s.heatPrice(1);

s.fuelMargCost(1,:)                             =   s.transportCost(1,:)+s.storageCost(1,:)+s.fuelFeedCost(1,:)...
                                                        +s.fuelOandMcost(1,:)+s.feedCost2nd(1,:)...
                                                        +s.feedCostHeatPower(1,:)-s.fuelByprodRevenue(1,:); %Operating marginal costs per GJ fuel from each plant

%%-------------------------------------------------------------------------SIMULATION
%%
for time    =   2:s.runTime
    
    s.plantCap(time,:)                          =   s.plantCap(time-1,:);
    
    s.fuelGHGabateCap(time,:)                   =   s.plantCap(time,:).*s.fuelGHGabatement(time,:); %%% NEW!!!
    s.sysGHGabateCapTot(time)                   =   sum(s.fuelGHGabateCap(time,:));
    
    s.infrastructureCost(time,:)                =   s.transportCost(time,:)+s.storageCost(time,:);
    
    
    %%---------------------------------------------------------------------INVESTMENT AND PRODUCTION COST
    for i=1:s.numTech
        
        s.plantInvLevelizedCost(time,i)         =   min(s.plantInvCostInit(i)*s.plantExogenLearning(i)^(time),...
                                                        s.plantInvCostInit(i)*(s.plantCapCumul(time-1,i)...
                                                        /s.plantCapCumul(1,i))^(-s.plantLearnElast(i))); %Investment Cost per GJ produced incl. learning

        
                                                    
        s.fuelOandMcost(time,i)                 =   (1+s.plantOperMaintShare(i))*(s.plantMaintInvShare(i)*s.plantInvLevelizedCost(time,i)...
                                                        /s.annuityFactorInvest)+s.plantOperLaborCost(i); %O&M Cost yearly excl feedstock per MJ produced
                                                    
        s.fuelFeedCost(time,i)                  =   s.feedPrice(time,i)/(s.feedEnergyContent(i)*s.plantConvEta(time,i));
        
        s.feedCostHeatPower(time,i)             =   s.powerInput(i)*s.powerPrice(time)+s.heatInput(i)*s.heatPrice(time);
        
        s.fuelMargCost(time,i)                  =   s.infrastructureCost(time,i)+s.fuelFeedCost(time,i)...
                                                        +s.fuelOandMcost(time,i)+s.feedCost2nd(time,i)...
                                                        +s.feedCostHeatPower(time,i)-s.fuelByprodRevenue(time,i); %Operating marginal costs per GJ fuel from each plant
        
        s.fuelGHGabateInvestCost(time,i)        =   s.plantInvLevelizedCost(time,i)/s.fuelGHGabatement(time,i); %%% NEW!!!
        
        s.fuelGHGabateMargCost(time,i)          =   s.fuelMargCost(time,i)/s.fuelGHGabatement(time,i); %%% NEW!!!
        
        s.fuelGHGabateTotCost(time,i)           =   (s.plantInvLevelizedCost(time,i)+s.fuelMargCost(time,i))/s.fuelGHGabatement(time,i); %/GJ * [kgCO2eq/GJ]^-1 -> /kgCO2eq
    end
    
    
    
    
    %%---------------------------------------------------------------------MINIMUM SELLING AND INVESTMENT PRICE PER MJ
    for i       =   1:s.numTech
        s.fuelMinSellingPrice(time,i)           =   s.fuelGHGabateMargCost(time,i);       %Marginal Cost of Production for each t GHG-Abatement capacity  %%% NEW!!!
        s.fuelMinInvestPrice(time,i)            =   s.fuelGHGabateInvestCost(time,i)+s.fuelGHGabateMargCost(time,i); %Break-even selling price per t GHG-Abatement incl Investment costs %%% NEW!!!
    end
    
    s.sellingPriceRank(time,:)                  =   rankWithDuplicates(s.fuelMinSellingPrice(time,:),'ascend');    %Ranking of technologies in terms of marginal cost of production
    s.investPriceRank(time,:)                   =   rankWithDuplicates(s.fuelMinInvestPrice(time,:),'ascend');      %Ranking of technologies in terms of MC+invest
    
    
    
    
    
    
    %%---------------------------------------------------------------------REMOVE OLD PLANTS
    for i       =   1:s.numTech                                                        %Go through the technologies in MC+Invest descending order
        if s.plantCap(time,i)       >   0
            
            if time         >   s.plantLifeTime(i)                                     %Plants that have reached their life-time decommissioned
                s.plantDecommission(time,i)     =   s.plantCapInst(time-s.plantLifeTime(i),i);
            else
                s.plantDecommission(time,i)     =   s.plantCap(1,i)/s.plantLifeTime(i);  %Capacity there at the beginning removed continuosly
                s.cap0(time,i)                  =   s.cap0(time-1,i)-s.plantDecommission(time,i);
            end
            
            s.plantCap(time,i)                  =   s.plantCap(time,i)-s.plantDecommission(time,i);
            s.plantCapExogen(time,i)            =   sum(s.plantDecommission(:,i));
            
            s.fuelGHGabateCap(time,i)           =   s.plantCap(time,i)*s.fuelGHGabatement(time,i); %%% NEW!!!
        end
    end
    
    s.sysCapTot(time)                           =   sum(s.plantCap(time,:));
    s.sysGHGabateCapTot(time)                   =   sum(s.fuelGHGabateCap(time,:)); %% NEW!!
    
    s.feedDmdMax(time,:)                        =   s.plantCap(time,:)./s.plantConvEta(time,:);
    s.feedDmdMaxTot(time)                       =   sum(s.feedDmdMax(time,:));
    
    
    
    
    
    
    %%%--------------------------------------------------------------------INVESTMENT FOR ADDITIONAL DEMAND
    if s.feedSupply(time)       >   s.feedDmdMaxTot(time)
        
        for j       =   1:s.numTech                                                    %Go through the technologies in MC+Invest descending order
            
            for i       =   1:s.numTech
                
                if s.investPriceRank(time,i)        ==  j                              %Go through each plant until "j" is found
                    
                    while s.plantCapInst(time,i)        <   max(s.plantSizeAvg(i),s.plantInstRamp*(s.plantCap(time-1,i)+s.plantCapExogen(time-1,i))) ...
                            && s.feedDmdMaxTot(time)    <   s.feedSupply(time) ...
                            && s.sysCapTot(time)        <   s.fuelDmd(time) ...
                            && s.sysGHGabateCapTot(time)<   s.GHGabateTarget(time) ... %%%  NEW!!!
                            && s.feedDmdMax(time,i)     <   s.feedMax(time,i)
                        
                        s.plantCapInst(time,i)      =   s.plantCapInst(time,i)+s.plantSizeAvg(i);
                        s.plantCap(time,i)          =   s.plantCap(time,i)+s.plantSizeAvg(i);
                        s.sysCapTot(time)           =   sum(s.plantCap(time,:));
                        
                        s.fuelGHGabateCap(time,i)   =   s.plantCap(time,i)*s.fuelGHGabatement(time,i); %%% NEW!!!
                        s.sysGHGabateCapTot(time)   =   sum(s.fuelGHGabateCap(time,:)); %% NEW!!
                        
                        s.feedDmdMax(time,i)        =   s.feedDmdMax(time,i)+s.plantSizeAvg(i)/s.plantConvEta(time,i);
                        s.feedDmdMaxTot(time)       =   sum(s.feedDmdMax(time,:));
                        
                        
                        for m=1:s.numTech
                            for k=1:s.numTech
                                if s.investPriceRank(time,k)            ==  m ...
                                        && s.fuelMinInvestPrice(time,k) <=  (1+s.plantInstCostFactor)*max(min(s.fuelMinInvestPrice(time,:)),0) ... %Corrected for cases when the demand cannot be covered and thus faulty market price
                                        && k                            ~=  i ...
                                        && s.plantCapInst(time,k)       <   max(s.plantInstRamp*(s.plantCap(time-1,k)+s.plantCapExogen(time-1,k)),s.plantSizeAvg(k)) ...
                                        && s.feedDmdMaxTot(time)        <   s.feedSupply(time)...
                                        && s.sysCapTot(time)            <   s.fuelDmd(time)... 
                                        && s.sysGHGabateCapTot(time)    <   s.GHGabateTarget(time) ... %%%  NEW!!!
                                        && s.feedDmdMax(time,k)         <   s.feedMax(k)
                                    
                                   s.plantsInstalledRound(time,k)       =   max(...
                                        [0 ...
                                        
                                        min(...
                                        [floor((s.plantCapInst(time,i)-s.plantCapInst(time,k))/s.plantSizeAvg(k))...
                                        max(floor(s.plantInstRamp*(s.plantCap(time-1,k)+s.plantCapExogen(time-1,k))/s.plantSizeAvg(k)),1)...
                                        max(ceil((s.feedSupply(time)-s.feedDmdMaxTot(time))/(s.plantConvEta(time,k)/s.plantSizeAvg(k))),1)...
                                        ])...
                                        
                                        ]);
                                    s.plantCapInst(time,k)              =   s.plantCapInst(time,k)+s.plantSizeAvg(k)*s.plantsInstalledRound(time,k);
                                    s.plantCap(time,k)                  =   s.plantCap(time,k)+s.plantSizeAvg(k)*s.plantsInstalledRound(time,k);
                                    s.sysCapTot(time)                   =   sum(s.plantCap(time,:));
                                    
                                    s.fuelGHGabateCap(time,k)           =   s.plantCap(time,k)*s.fuelGHGabatement(time,k); %%% NEW!!!
                                    s.sysGHGabateCapTot(time)           =   sum(s.fuelGHGabateCap(time,:)); %% NEW!!
                                        
                                    s.feedDmdMax(time,k)                =   s.feedDmdMax(time,k)+s.plantSizeAvg(k)/s.plantConvEta(time,k);
                                    s.feedDmdMaxTot(time)               =   sum(s.feedDmdMax(time,:));
                                end
                            end
                        end
                    end
                end
            end
        end
    end
    
    
    
    
    
    
    %----------------------------------------------------------------------MARKET PRICE based on MC of production
%     [s.marketPrice(time),s.numProd(time)]=supplyCurve(s.numTech,s.fuelMinSellingPrice(time,:),s.plantCap(time,:),s.fuelDmd(time));
    %----------------------------------------------------------------------MARKET PRICE based on MC of production per GHG emitted
    [s.marketPrice(time),s.numProd(time)]       =   supplyCurve(s.numTech,s.fuelMinSellingPrice(time,:),s.fuelGHGabateCap(time,:),s.GHGabateTarget(time)); %%NEW!!!
    
    
    
    
    
    
    %----------------------------------------------------------------------INVESTMENT REPLACING CURRENT TECHNOLOGIES
    for j       =   1:s.numTech                                                        %Go through the technologies in MC+Invest ascending order
        
        for i       =   1:s.numTech
            
            if s.investPriceRank(time,i)                ==  j...
                    && s.fuelMinInvestPrice(time,i)     <=  (1-s.plantReplaceFactor)*s.marketPrice(time)            %If TC below market price -> Install until ramp reached
                
                while s.fuelMinInvestPrice(time,i)      <  (1-s.plantReplaceFactor)*s.marketPrice(time) ...
                        && s.plantCapInst(time,i)       <  max(s.plantSizeAvg(i),s.plantInstRamp*(s.plantCap(time-1,i)+s.plantCapExogen(time-1,i))) ...
                        && s.feedDmdMax(time,i)         <  s.feedSupply(time)...%
                        && s.plantCap(time,i)           <  s.fuelDmd(time) ...
                        && s.fuelGHGabateCap(time,i)    <  s.GHGabateTarget(time)... %%NEW!!!
                        && s.feedDmdMax(time,i)         <  s.feedMax(time,i)
                    
                    s.plantCapInst(time,i)              =   s.plantCapInst(time,i)+s.plantSizeAvg(i);
                    s.plantCap(time,i)                  =   s.plantCap(time,i)+s.plantSizeAvg(i);
                    
                    s.fuelGHGabateCap(time,i)           =   s.plantCap(time,i)*s.fuelGHGabatement(time,i); %%% NEW!!!
                            
                    s.sysGHGabateCapTot(time)           =   sum(s.fuelGHGabateCap(time,:)); %% NEW!!
                    s.feedDmdMax(time,i)                =   s.feedDmdMax(time,i)+s.plantSizeAvg(i)/s.plantConvEta(time,i);
                    s.feedDmdMaxTot(time)               =   sum(s.feedDmdMax(time,:));
                    
%                     [s.marketPrice(time),s.numProd(time)]=supplyCurvePrimary(s.numTech,s.fuelMinSellingPrice(time,:),s.plantCap(time,:),s.plantConvEta(time,:),s.feedSupply(time));
                    [s.marketPrice(time),s.numProd(time)]=supplyCurve(s.numTech,s.fuelMinSellingPrice(time,:),s.fuelGHGabateCap(time,:),s.GHGabateTarget(time)); %%NEW!!!
                    
                    
                    for m       =   1:s.numTech
                        
                        for k       =   1:s.numTech
                            
                            if s.investPriceRank(time,k)            ==  m ...
                                && s.fuelMinInvestPrice(time,k)     <   (1-s.plantReplaceFactor)*s.marketPrice(time-1) ...
                                && k                                ~=  i ...
                                && s.plantCapInst(time,k)           <   max(s.plantInstRamp*(s.plantCap(time-1,k)+s.plantCapExogen(time-1,k)),s.plantSizeAvg(k)) ...
                                && s.feedDmdMax(time,k)             <   s.feedMax(k)...
                                && s.sysGHGabateCapTot(time)      <   s.GHGabateTarget(time) %%%  NEW!!!
                            
                            
                                s.plantsInstalledRound(time,k)       =   max(...
                                        [0 ...
                                        
                                        min(...
                                        [floor((s.plantCapInst(time,i)-s.plantCapInst(time,k))/s.plantSizeAvg(k))...
                                        max(floor(s.plantInstRamp*(s.plantCap(time-1,k)+s.plantCapExogen(time-1,k))/s.plantSizeAvg(k)),1)...
                                        max(ceil((s.feedSupply(time)-s.feedDmdMaxTot(time))/(s.plantConvEta(time,k)/s.plantSizeAvg(k))),1)...
                                        ])...
                                        
                                        ]);
                                               
                                    
                                s.plantCapInst(time,k)              =   s.plantCapInst(time,k)+s.plantSizeAvg(k)*s.plantsInstalledRound(time,k);
                                s.plantCap(time,k)                  =   s.plantCap(time,k)+s.plantSizeAvg(k)*s.plantsInstalledRound(time,k);
                                s.sysCapTot(time)                   =   sum(s.plantCap(time,:));
                                
                                s.fuelGHGabateCap(time,k)           =   s.plantCap(time,k)*s.fuelGHGabatement(time,k); %%% NEW!!!
                                s.sysGHGabateCapTot(time)           =   sum(s.fuelGHGabateCap(time,:)); %% NEW!!
                                
%                               [s.marketPrice(time),s.numProd(time)]=supplyCurvePrimary(s.numTech,s.fuelMinSellingPrice(time,:),s.plantCap(time,:),s.plantConvEta(time,:),s.feedSupply(time));
                                [s.marketPrice(time),s.numProd(time)]   =   supplyCurve(s.numTech,s.fuelMinSellingPrice(time,:),s.fuelGHGabateCap(time,:),s.GHGabateTarget(time)); %%NEW!!!
                            
                            end
                            
                        end
                        
                    end
                    
                end
                
            end
            
        end
        
    end
    
    
    
    
    
    
    %----------------------------------------------------------------------PRODUCTION
    for j=1:s.numTech                                                        %Go through the technologies in MC ascending order
        
        for i=1:s.numTech
            
            if s.sellingPriceRank(time,i)               ==  j
                
                if s.feedDmdTot(time)                   <  s.feedSupply(time)...
                        && s.fuelProd(time,i)           <  s.plantCap(time,i)...
                        && s.fuelProdTot(time)          <  s.fuelDmd(time)...%                         && feedDmdPJ(time,i)<=feedMax(i)...
                        && s.fuelProdGHGabate(time,i)   <  s.fuelGHGabateCap(time,i)... %NEW!!!
                        && s.fuelProdGHGabateTot(time)  <  s.GHGabateTarget(time) %NEW!!!
                    
                     s.fuelProdGHGabate(time,i)                  =  min(...                                  %%GHG-Abatement limit set by the minimum of...
                        [s.plantCap(time,i)*s.fuelGHGabatement(time,i)...                                                      %%Plant capacity
                        
                        (s.feedSupply(time)-s.feedDmdTot(time))*s.plantConvEta(time,i)*s.fuelGHGabatement(time,i)...           %%Global feedstock limit minus already used feedstock
                        
                        s.feedMax(time,i)*s.plantConvEta(time,i).*s.fuelGHGabatement(time,i)...                                 %%Technology specific feedstock limit
                        
                        (s.GHGabateTarget(time)-s.fuelProdGHGabateTot(time))...%%NEW!!!  GHG-Abatement target minus already achieved abatament divided by fuel specific abatement
                        
                        (s.fuelDmd(time)-s.fuelProdTot(time))*s.plantConvEta(time,i).*s.fuelGHGabatement(time,i)]...            %%
                        );
                    
                    
                    s.fuelProd(time,i)                  =   s.fuelProdGHGabate(time,i)./s.fuelGHGabatement(time,i); %%NEW!!
                    s.feedDmdPJ(time,i)                 =   s.feedDmdPJ(time,i)+s.fuelProd(time,i)./s.plantConvEta(time,i);
                    s.feedDmdTot(time)                  =   sum(s.feedDmdPJ(time,:));
                    s.fuelProdTot(time)                 =   sum(s.fuelProd(time,:));
                    
%                     s.fuelProdGHGabate(time,i)          =   s.fuelProd(time,i).*s.fuelGHGabatement(time,i); %%NEW!!
                    s.fuelProdGHGabateTot(time)         =   sum(s.fuelProdGHGabate(time,:)); %%NEW!!
                    
                    
                end
                
            end
            
        end
        
    end
    
    s.plantCapTot(time)                                 =   sum(s.plantCap(time,:));
    
    s.sysCapTot(time+1)                                 =   s.sysCapTot(time);
%     temp(time)                                          =   s.fuelProdGHGabateTot(time)-s.GHGabateTarget(time);
%     temp2(time)                                         =   s.fuelProdTot(time)-s.fuelDmd(time);
%     temp2(time)                                         =   s.sysGHGabateCapTot(time)-s.GHGabateTarget(time);
%     temp3(time)                                         =   s.plantCapTot(time)-s.fuelProdTot(time);
%     temp4(time)                                         =   s.fuelProd
%     temp4(time)                                         =   (s.GHGabateTarget(time)-s.fuelProdGHGabateTot(time))/s.fuelGHGabatement(i)
%     temp4(time)                                         =   s.fuelProd(time,:)-s.plantCap(time,:);
    s.plantCapCumul(time,:)                             =   s.plantCapCumul(time-1,:)+s.plantCapInst(time,:);    %%Cumulative installed capacity
    s.landReq(time,:)                                   =   s.fuelProd(time,:).*s.landReqTotGJFuel(time,:);
    s.landReqTot(time)                                  =   sum(s.landReq(time,:));
    s.plantInvNotLevelizedCost                          =   s.plantInvLevelizedCost./s.annuityFactorInvest;
%     s.GHGabatementCost(time,:)                          =   s.fuelMinInvestPrice(time,:);%./(s.referenceGHGemission-s.fuelGHGemission);
end

% costOutput.plantInvLevelizedCost=s.plantInvLevelizedCost;
% costOutput.infrastructureCost=s.infrastructureCost;
% costOutput.fuelFeedCost=s.fuelFeedCost;
% costOutput.feedCost2nd=s.feedCost2nd;
% costOutput.feedCostHeatPower=s.feedCostHeatPower;
% costOutput.fuelOandMcost=s.fuelOandMcost;
% costOutput.fuelByprodRevenue=s.fuelByprodRevenue;
% costOutput.fuelMinSellingPrice=s.fuelMinSellingPrice;
% costOutput.fuelMinInvestPrice=s.fuelMinInvestPrice;
% costOutput.fuelLandGHGcost=s.fuelLandGHGcost;
% costOutput.fuelGHGcost=s.fuelGHGcost;
% fuelProd=s.fuelProd;
% plantCap=s.plantCap;
s.btlProdTotShare           =   sum(s.fuelProd(:,7))/sum(s.fuelProdTot);
s.sngProdTotShare           =   sum(s.fuelProd(:,5))/sum(s.fuelProdTot);
s.biomethaneProdTotShare    =   sum(s.fuelProd(:,1))/sum(s.fuelProdTot);
s.bioEtOHProdTotShare       =   sum(s.fuelProd(:,2))/sum(s.fuelProdTot);
s.gasProdTotShare           =   sum(s.fuelProd(:,1)+s.fuelProd(:,5))/sum(s.fuelProdTot);
s.advProdTotShare           =   sum(s.fuelProd(:,5)+s.fuelProd(:,6)+s.fuelProd(:,7))/sum(s.fuelProdTot);
s.advLiqProdTotShare        =   sum(s.fuelProd(:,6)+s.fuelProd(:,7))/sum(s.fuelProdTot);

% marketPrice=s.marketPrice;
end
