clf;
% clear all;
opengl('save', 'software');
set(gca,'FontName','Helvetica')
set(gca,'FontSize',8)
set(findall(gcf,'type','text'),'FontName','Helvetica','FontSize',8)
set(findall(gcf,'type','axes'),'FontName','Helvetica','FontSize',8)

col                 =   [169,212,15;...
                             2,175,198;...
                             47,205,156;...
                             79,129,189;...
                             255,193,37;...
                             204,0,204;...                            244,238,0;...                             204,0,204;...
                             226,62,11;...
                             255,84,71;...
                             255,150,0;...
                             196,0,70;...
                             0,0,0;...
                             100,100,100]/255;

%%%-------------DATA INPUT
biofuelsData                =   importdata('BENSIM_inputData_171218.xls');
save('biofuelsData.mat','biofuelsData');
biofuelsData                =   importdata('biofuelsData.mat'); 

s.foreSight                 =   1; %%% Value 1 (myopic) or 2 (perfect foresight - running costs calculated over plant life-time and options sorted accordingly)
s.discountRateInvest        =   0.07;
s.inflation                 =   0;
s.plantPayBackTime          =   20;
s.dieselCostStart           =   0.9; %/l
s.labourCostStart           =   15; %/h
s.referenceGHGemission      =   83.8; %kgCO2/GJ

f.wheatPriceStart           =   189;%(202 not inflation adjusted); %/tFM - 5 year average between 14.04.2011-13.04.2016 - finanzen.net - daily values inflation adjusted with annual HICP data from Eurostat
f.rapeSeedPriceStart        =   381;%(407 not inflation adjusted); %/tFM  - 5 year average between 14.04.2011-13.04.2016 - finanzen.net - daily values inflation adjusted with annual HICP data from Eurostat
% f.rapeSeedFactorInit      =   0.7;
s.annuityFactorInvest       =   (s.discountRateInvest*(1+s.discountRateInvest)^s.plantPayBackTime)/(((1+s.discountRateInvest)^s.plantPayBackTime)-1);

s.runTime                   =   2051-2017;
f.runTime                   =   s.runTime;
s.year                      =   linspace(2017,2050,s.runTime);
s.plantInstRamp             =   0.5;
s.goalFunction              =   1; %1=leastCost; 2=ghgAbatement
s.plantInstCostFactor       =   0.05;
s.plantReplaceFactor        =   2*s.plantInstCostFactor;%


s.totCostLimit              =   linspace(450,250,(450-250)/50+1).*10^9;%linspace(450,250,5);

s.fuelDmd                   =   10^9*       10^6*linspace(119,400,s.runTime); %GJ/a
s.demLand                   =   [1117.741628	1089.792516	1059.440049	1026.475992	989.6163076	950.7507345	910.34459	870.6096585	826.9212042	779.1241602	723.8848731	659.6171923	579.0684555	495.1463984	418.0079147	346.1815252	279.7190162	218.2534225	161.4527742	109.0369928	60.65859105	16.54160798	0	0	0	0	0	0	0	0	0	0	0	0];%linspace(1779,0,s.runTime);
s.demAviation               =   linspace(273,400,s.runTime);
s.demGoodsLand              =   linspace(555,50,s.runTime);
s.demShip                   =   linspace(351,351/2,s.runTime);
s.numSectors                =   4;
s.demTotAllSectors          =   s.demLand+s.demAviation+s.demGoodsLand+s.demShip;
s.GHGabateTarget            =               160*10^9*linspace(0.05,0.08,s.runTime); %kgCO2eq/a
s.feedSupply                =   10^9*       10^6*linspace(500,1500,s.runTime);
s.marginalLand              =   0;


s.demLandTemp               =   s.demLand;
s.demAviationTemp           =   s.demAviation;
s.demGoodsLandTemp          =   s.demGoodsLand;
s.demShipTemp               =   s.demShip;

s.demandReduction           =   linspace(1,0.5,s.runTime);

% s.foreSight                 =   1; %%% Value 1 (myopic) or 2 (perfect foresight - running costs calculated over plant life-time and options sorted accordingly)
% s.discountRateInvest        =   0.07;
% s.inflation                 =   0;
% s.plantPayBackTime          =   20;
% s.dieselCostStart           =   0.9; %/l
% s.labourCostStart           =   15; %/h
% s.referenceGHGemission      =   83.8; %kgCO2/GJ
% 
% f.wheatPriceStart           =   189;%(202 not inflation adjusted); %/tFM - 5 year average between 14.04.2011-13.04.2016 - finanzen.net - daily values inflation adjusted with annual HICP data from Eurostat
% f.rapeSeedPriceStart        =   381;%(407 not inflation adjusted); %/tFM  - 5 year average between 14.04.2011-13.04.2016 - finanzen.net - daily values inflation adjusted with annual HICP data from Eurostat
% % f.rapeSeedFactorInit      =   0.7;
% s.annuityFactorInvest       =   (s.discountRateInvest*(1+s.discountRateInvest)^s.plantPayBackTime)/(((1+s.discountRateInvest)^s.plantPayBackTime)-1);
% 
% s.runTime                   =   2051-2017;
% f.runTime                   =   s.runTime;
% s.year                      =   linspace(2017,2050,s.runTime);
% s.plantInstRamp             =   0.5;
% s.goalFunction              =   1; %1=leastCost; 2=ghgAbatement
% s.plantInstCostFactor       =   0.05;
% s.plantReplaceFactor        =   2*s.plantInstCostFactor;%
% 
% s.totCostLimit              =   linspace(450,250,(450-250)/50+1).*10^9;%linspace(450,250,5);
% 
% s.fuelDmd                   =   10^9*       10^6*linspace(119,400,s.runTime); %GJ/a
% s.demLand                   =   [1117.741628	1089.792516	1059.440049	1026.475992	989.6163076	950.7507345	910.34459	870.6096585	826.9212042	779.1241602	723.8848731	659.6171923	579.0684555	495.1463984	418.0079147	346.1815252	279.7190162	218.2534225	161.4527742	109.0369928	60.65859105	16.54160798	0	0	0	0	0	0	0	0	0	0	0	0];%linspace(1779,0,s.runTime);
% s.demAviation               =   linspace(273,400,s.runTime);
% s.demGoodsLand              =   linspace(555,50,s.runTime);
% s.demShip                   =   linspace(351,351/2,s.runTime);
% s.numSectors                =   4;
% s.demTotAllSectors          =   s.demLand+s.demAviation+s.demGoodsLand+s.demShip;
% s.GHGabateTarget            =               160*10^9*linspace(0.05,0.08,s.runTime); %kgCO2eq/a
% s.feedSupply                =   10^9*       10^6*linspace(500,1500,s.runTime);
% s.marginalLand              =   0;
% 
% 
% s.demLandTemp               =   s.demLand;
% s.demAviationTemp           =   s.demAviation;
% s.demGoodsLandTemp          =   s.demGoodsLand;
% s.demShipTemp               =   s.demShip;
% 
% s.demandReduction           =   linspace(1,0.5,s.runTime);

%%%%%%%%%%%%%
s.transportDistanceBiomass  =   50; %50km
s.transportCostBiomassKm    =   2; %/t-km
s.transportDieselBiomassKm  =   1; %GJ/km
%%%%%%%%%%%%%

s.numTech                   =   size(biofuelsData.data.biofuelsInputData(1,:),2);

s.feedMax                   =   10^15*ones([s.runTime,s.numTech]);

s.plantCap                  =   zeros([s.runTime,s.numTech]);
s.plantCapCumul             =   zeros(s.runTime,s.numTech);
s.fuelGHGabateCap           =   zeros(s.runTime,s.numTech);

s.techNames                 =   biofuelsData.textdata.biofuelsInputData(2,3:s.numTech+2); %GJcap/a
s.plantSizeAvgReal          =   biofuelsData.data.biofuelsInputData(1,1:s.numTech)*10^6; %GJcap/a
s.plantSizeAvg              =   biofuelsData.data.biofuelsInputData(2,1:s.numTech)*10^6; %GJcap/a
s.plantLifeTime             =   biofuelsData.data.biofuelsInputData(3,1:s.numTech); %a
s.fullLoadHours             =   biofuelsData.data.biofuelsInputData(4,1:s.numTech); %h/a
s.plantInvCostProMWinit     =   biofuelsData.data.biofuelsInputData(5,1:s.numTech)*10^3; %/MWcap
s.plantInvCostProMWinitTemp =   s.plantInvCostProMWinit;


s.plantCap(1,:)             =   biofuelsData.data.biofuelsInputData(6,1:s.numTech)*10^6; s.plantCap(2,:)=s.plantCap(1,:); %GJcap
s.plantCapTemp              =   s.plantCap;

s.plantCapCumul(1,:)        =   biofuelsData.data.biofuelsInputData(7,1:s.numTech)*10^6; s.plantCapCumul(2,:)=s.plantCapCumul(1,:); %GJcap
s.plantLearningRate         =   biofuelsData.data.biofuelsInputData(8,1:s.numTech)*10^-2;
s.plantLearningRateTemp     =   s.plantLearningRate;

s.plantMaintInvShare        =   biofuelsData.data.biofuelsInputData(9,1:s.numTech)*10^-2;
s.plantOperMaintShare       =   biofuelsData.data.biofuelsInputData(10,1:s.numTech)*10^-2;
s.plantOperLaborCost        =   biofuelsData.data.biofuelsInputData(11,1:s.numTech); %/GJ
s.plantConvEtaInit          =   biofuelsData.data.biofuelsInputData(12,1:s.numTech); %fraction of energy in feedstock in end product (MJ/MJ)
s.plantConvEtaLimit         =   biofuelsData.data.biofuelsInputData(13,1:s.numTech);
for time=1:s.runTime
        s.plantConvEta(time,:)=s.plantConvEtaInit+(time-1).*(s.plantConvEtaLimit-s.plantConvEtaInit)/(f.runTime-1);
end

s.heatInput                 =   biofuelsData.data.biofuelsInputData(16,1:s.numTech); %kWh/GJ
s.powerInput                =   biofuelsData.data.biofuelsInputData(17,1:s.numTech); %kWh/GJ

s.learningYears             =   5;

s.transportCostLow          =   biofuelsData.data.biofuelsInputData(18,1:s.numTech); %EUR/GJ
s.transportCostHigh         =   biofuelsData.data.biofuelsInputData(19,1:s.numTech); %EUR/GJ
s.storageCostLow            =   biofuelsData.data.biofuelsInputData(20,1:s.numTech); %EUR/GJ
s.storageCostHigh           =   biofuelsData.data.biofuelsInputData(21,1:s.numTech); %EUR/GJ

s.feedYieldFM               =   zeros([s.runTime,s.numTech]);
s.feedYieldGJ               =   zeros([s.runTime,s.numTech]);

%%%%%%%%%%%%%%%%

f.numFeed                   =   size(biofuelsData.data.feedstockInputData(1,:),2);
f.feedNames                 =   biofuelsData.textdata.feedstockInputData(1,3:f.numFeed+2);

f.feedDMcontent             =   biofuelsData.data.feedstockInputData(1,1:f.numFeed);
f.feedDMenergyContent       =   biofuelsData.data.feedstockInputData(2,1:f.numFeed); %GJ/tDM

s.feedEnergyContent         =   biofuelsData.data.biofuelsInputData(24,1:s.numTech); %GJ/tDM
s.feedFMenergyContent       =   biofuelsData.data.biofuelsInputData(25,1:s.numTech); %GJ/tDM

f.feedYieldFMstartMedium    =   biofuelsData.data.feedstockInputData(4,1:f.numFeed);
f.feedYieldFMendMedium      =   biofuelsData.data.feedstockInputData(5,1:f.numFeed);
f.feedYieldFMstartLow       =   biofuelsData.data.feedstockInputData(6,1:f.numFeed);
f.feedYieldFMendLow         =   biofuelsData.data.feedstockInputData(7,1:f.numFeed);
f.feedYieldFMmarginalLand   =   biofuelsData.data.feedstockInputData(8,1:f.numFeed);

f.feedLabourHaStart         =   biofuelsData.data.feedstockInputData(17,1:f.numFeed); %Arbeitskraftstunden/ha
f.feedDieselHaStart         =   biofuelsData.data.feedstockInputData(19,1:f.numFeed); %Dieselbedarf/ha
f.feedMachineFixHaStart     =   biofuelsData.data.feedstockInputData(21,1:f.numFeed);
f.feedMachineVarHaStart     =   biofuelsData.data.feedstockInputData(22,1:f.numFeed);
f.feedDirectCostsHaStart    =   biofuelsData.data.feedstockInputData(23,1:f.numFeed);

f.feedLabourHaEnd           =   biofuelsData.data.feedstockInputData(25,1:f.numFeed); %Arbeitskraftstunden/ha
f.feedDieselHaEnd           =   biofuelsData.data.feedstockInputData(27,1:f.numFeed); %Dieselbedarf l/ha
f.feedMachineFixHaEnd       =   biofuelsData.data.feedstockInputData(29,1:f.numFeed);
f.feedMachineVarHaEnd       =   biofuelsData.data.feedstockInputData(30,1:f.numFeed);


%%%%%%%%%%%%%%%%%% GHG

s.ghgSeeds                  =   biofuelsData.data.ghgInputData(56,1:s.numTech); %kg/ha/a
s.ghgN2OhaAverage           =   biofuelsData.data.ghgInputData(59,1:s.numTech); %kg N2O/ha/a
s.ghgN2OhaHigh              =   [23.37	20.78	19.45	13.27	6.72	6.72	6.72	6.72	23.37 6.72];
s.ghgN2OhaLow               =   [1.06	1.11	1	0.71	0.28	0.28	0.28 0.28 1.06 0.28];

s.ghgNha                    =   biofuelsData.data.ghgInputData(62,1:s.numTech); %kg N/ha/a
s.ghgP2O5                   =   biofuelsData.data.ghgInputData(65,1:s.numTech); %kg/ha/a


s.ghgEFSeeds                =   biofuelsData.data.ghgInputData(57,1:s.numTech); %kg/ha/a
s.ghgEFN2O                  =   298; %CO2eq/kg N2O
% s.ghgEFN                    =   5.88; %CO2eq/kg N
s.ghgEFNStandard            =   5.88; %CO2eq/kg N
s.ghgEFP2O5                 =   1.01; %/kg

s.ghgK2O                    =   biofuelsData.data.ghgInputData(68,1:s.numTech); %kg/ha/a
s.ghgCaO                    =   biofuelsData.data.ghgInputData(71,1:s.numTech); %kg/ha/a
s.ghgMgO                    =   biofuelsData.data.ghgInputData(74,1:s.numTech); %kg/ha/a
s.ghgPesticides             =   biofuelsData.data.ghgInputData(77,1:s.numTech); %kg/ha/a

s.ghgEFK2O                  =   [0.58 0.66]; %/kg
s.ghgEFCaO                  =   [0.13 0.89]; %/kg
s.ghgEFMgO                  =   0; %/kg
s.ghgEFPesticides           =   [10.97 13.9]; %/kg

s.ghgPowerDrying            =   biofuelsData.data.ghgInputData(80,1:s.numTech); %kWh/ha/a
s.ghgDiesel                 =   biofuelsData.data.ghgInputData(83,1:s.numTech); %l/ha/a

s.ghgTransp1Amount          =   biofuelsData.data.ghgInputData(90,1:s.numTech); %t/transport
s.ghgTransp1DistFull        =   biofuelsData.data.ghgInputData(92,1:s.numTech); %km/transport
s.ghgTransp1DistEmpty       =   biofuelsData.data.ghgInputData(93,1:s.numTech); %km/transport
s.ghgTranspDieselFull       =   0.41; %/km
s.ghgTranspDieselEmpty      =   0.24; %/km


s.ghgP1Heat                 =   biofuelsData.data.ghgInputData(103,1:s.numTech); %MJ/t_feed
s.ghgP1Power                =   biofuelsData.data.ghgInputData(107,1:s.numTech); %kWh/t_feed

s.ghgP1Limestone            =   biofuelsData.data.ghgInputData(111,1:s.numTech); %kg/t feed
s.ghgEFLimestone            =   0.00972;

s.ghgP1Hexane               =   biofuelsData.data.ghgInputData(115,1:s.numTech); %kg/t feed
s.ghgEFHexane               =   3.63;

s.ghgP1ProcessH2O           =   biofuelsData.data.ghgInputData(119,1:s.numTech); %kg/t feed
s.ghgEFProcessH2            =   0.0004;

s.ghgP1WastewaterTreatment  =   biofuelsData.data.ghgInputData(123,1:s.numTech); %kg/t feed
s.ghgEFWastewaterTreatment  =   0.00027;

s.ghgP1Losses               =   biofuelsData.data.ghgInputData(126,1:s.numTech); %procent

s.ghgP1Yield                =   biofuelsData.data.ghgInputData(138,1:s.numTech); %m/t_feed (biomethane); t/t_feed (sugar juice, rapeseed oil)
s.ghgP1YieldCoprod          =   biofuelsData.data.ghgInputData(145,1:s.numTech); %t/t_feed
s.ghgP1AllocationFactor     =   biofuelsData.data.ghgInputData(148,1:s.numTech); %proc

s.ghgP2Heat                 =   biofuelsData.data.ghgInputData(158,1:s.numTech); %MJ/t feed_intermediate
s.ghgP2Power                =   biofuelsData.data.ghgInputData(163,1:s.numTech); %kWh/t_feed_intermediate
s.ghgP2HNO3                 =   biofuelsData.data.ghgInputData(168,1:s.numTech); %Nitric acid, kg/t_feed_intermediate
s.ghgP2NaOH                 =   biofuelsData.data.ghgInputData(173,1:s.numTech); %Sodium Hydroxide, kg/t_feed_intermediate
s.ghgP2H3PO4                =   biofuelsData.data.ghgInputData(178,1:s.numTech); %Phosphoric acid, kg/t_feed_intermediate
s.ghgP2DryYeast             =   biofuelsData.data.ghgInputData(183,1:s.numTech); %kg/t_feed_intermediate
s.ghgP2CH4N2O               =   biofuelsData.data.ghgInputData(188,1:s.numTech); %Urea, kg/t_feed_intermediate
s.ghgP2CH3OH                =   biofuelsData.data.ghgInputData(193,1:s.numTech); %Methanol, kg/t_feed_intermediate
s.ghgP2ProcessH2O           =   biofuelsData.data.ghgInputData(198,1:s.numTech); %kg/t_feed_intermediate
s.ghgP2WastewaterTreatment  =   biofuelsData.data.ghgInputData(203,1:s.numTech); %kg/t_feed_intermediate
s.ghgP2Yield                =   biofuelsData.data.ghgInputData(215,1:s.numTech); %t/t_FM
s.ghgP1YieldCoprod          =   biofuelsData.data.ghgInputData(220,1:s.numTech); %t/t_feed,intermediate
s.ghgP2YieldByprod          =   biofuelsData.data.ghgInputData(225,1:s.numTech); %t/t_feed,intermediate
s.ghgP2AllocationFactor     =   biofuelsData.data.ghgInputData(228,1:s.numTech); %proc

s.ghgP2ByprodUpgradePower   =   biofuelsData.data.ghgInputData(236,1:s.numTech); %kWh/t_mainproduct

s.ghgTranspAmount           =   biofuelsData.data.ghgInputData(246,1:s.numTech); %t/transport
s.ghgTranspGasGridPower     =   biofuelsData.data.ghgInputData(248,1:s.numTech); %kWh/m
s.ghgTranspProcessHeat      =   biofuelsData.data.ghgInputData(249,1:s.numTech); %MJ/m
s.ghgTransp2DistFull        =   biofuelsData.data.ghgInputData(250,1:s.numTech); %km/transport
s.ghgTransp2DistEmpty       =   biofuelsData.data.ghgInputData(251,1:s.numTech); %km/transport

s.fuelSpecificEnergy        =   biofuelsData.data.ghgInputData(216,1:s.numTech); %GJ/t [CH4: /m]

s.ghgEFDiesel               =   3.14; %/l
s.ghgEFProcessH2O           =   0.0004; %kgCO2eq/kg
s.ghgEFHNO3                 =   1.89; %kgCO2eq/kg
s.ghgEFNaOH                 =   [0.47 1.12]; %kgCO2eq/kg
s.ghgEFH3PO4                =   3.011; %kgCO2eq/kg
s.ghgEFDryYeast             =   3.2; %kgCO2eq/kg
s.ghgEFCH4N2O               =   0.81; %kgCO2eq/kg

s.ghgEmissionCost           =   0; %/t


s.ghgN2Oha                  =   s.ghgN2OhaAverage;
s.ghgEFCH3OH                =   (10^-3)*43*linspace(27,7,s.runTime); %43 GJ/t (BTL) * kgCO2eq/GJ * t/kg => kgCO2eq/kg 

% delete(gcp)
% parpool('local',2)

noScenarios                 =   9;
for scenario        =   1:noScenarios
    
    
    
    s.ghgEFN                        =   linspace(s.ghgEFNStandard,s.ghgEFNStandard*0.2,s.runTime);
    s.heatOption                    =   2;
    s.heatEta                       =   0.8;
    s.ghgEFDiesel                   =   linspace(3.14,3.14*0.2,s.runTime); %/l
    s.ghgP2YieldByprod              =   zeros(1,s.numTech);
    s.ghgP2ByprodUpgradePower       =   zeros(1,s.numTech);
    
    plotSpace                       =   scenario;
    f.feedYieldFMstart              =   f.feedYieldFMstartMedium;
    f.feedYieldFMend                =   f.feedYieldFMendMedium;
    
%     s.plantReplaceFactor            =   0.2;
%     s.demLandNoEVs                  =   biofuelsData.data.powerEmissions(8,1:s.runTime); %PJ/a
%     s.demLandMain                   =   biofuelsData.data.powerEmissions(9,1:s.runTime); %PJ/a
%     s.demLandEVhigh                 =   biofuelsData.data.powerEmissions(10,1:s.runTime); %PJ/a
%     s.demLandEVslow                 =   biofuelsData.data.powerEmissions(11,1:s.runTime); %PJ/a
    
    s.ghgEFPower                    =   biofuelsData.data.powerEmissions(2,1:s.runTime); %kgCO2eq/kWh
    s.ghgEmissionsPower             =   biofuelsData.data.powerEmissions(3,1:s.runTime); %kgCO2eq/kWh
    
    gamsTemp.landMax.val            =   10^6.*linspace(1.5,1.5,s.runTime);   %ha
    gamsTemp.gasLim.val             =   1;
    gamsTemp.fuelQuota.val          =   0;
    gamsTemp.aviationMinQuota.val   =   linspace(0,0,s.runTime);
        
    s.priceDevFactor                =   0.04; %0%/a
    for time=1:s.runTime
        s.plantConvEta(time,:)=s.plantConvEtaInit+(time-1).*(s.plantConvEtaLimit-s.plantConvEtaInit)/(f.runTime-1);
    end
%%
    s                               =   vehicleDev(s);
  %%  
    s.demLand                       =   s.demLandMain;
    s.demAviation                   =   s.demAviationTemp;
    s.demGoodsLand                  =   s.demGoodsLandTemp;
    s.demShip                       =   s.demShipTemp;
    

    switch scenario
        case 1
            %base
        case 2
            gamsTemp.gasLim.val = 0;
            gamsTemp.fuelQuota.val = 0.5;
        case 3
%             f.feedYieldFMstart          =   f.feedYieldFMstartLow;
%             f.feedYieldFMend            =   f.feedYieldFMendLow;
            f.feedYieldFMstart(1)           =   f.feedYieldFMstartLow(1);
            f.feedYieldFMend(1)             =   f.feedYieldFMendLow(1);
            f.feedYieldFMstart(2)           =   f.feedYieldFMstartLow(2);
            f.feedYieldFMend(2)             =   f.feedYieldFMendLow(2);
        case 4
            s.demLand                   =   s.demLandEVhigh;
        case 5
            s.demLand                   =   s.demLandEVslow;
        case 6
            s.demLand                   =   s.demLandNoEVs;
        case 7
            s.demGoodsLand              =   linspace(555,0,s.runTime);
            s.demShip                   =   linspace(351,351/4,s.runTime);
        case 8
%             s.demLand                   =   [1116	1088	1056	1022	984	942	898	853	801	742	671	583	469	330	203	85	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0];
%             s.demGoodsLand              =   linspace(555,0,s.runTime);
%             s.demShip                   =   linspace(351,351/4,s.runTime);
            gamsTemp.landMax.val            =   10^6.*linspace(1.5,3,s.runTime);   %Mha
        case 9
            s.ghgEFPower                =   biofuelsData.data.powerEmissions(4,1:s.runTime); %kgCO2eq/kWh
            s.ghgEmissionsPower         =   biofuelsData.data.powerEmissions(5,1:s.runTime); %kgCO2eq/kWh
%         case 11
%             gamsTemp.aviationMinQuota.val   =   linspace(0,0,s.runTime);
%             gamsTemp.aviationMinQuota.val   =   linspace(0,0.03,14);
%             
    end
    [s,f]                         =   feedCost(s,f);
    [s]                           =   ghgEmissions(s,f);

    
    
%             s.plantConvEta=s.plantConvEta.*[otto otto otto diesel otto otto diesel diesel 1 1];
    
    %     sTemp=s; %%for the sensitivities
    %     [o(scenario),p(scenario)]=bensim160226(s,f);
    [o(scenario),p(scenario)]     =   bensimGHG171004(s,f);
    %%%% GAMS
    
%%% GAMS
    gamsTemp.costMarg.uels = {strsplit(num2str(s.year)), s.techNames};
    gamsTemp.costMarg.name = 'costMarg';
    gamsTemp.costMarg.type = 'parameter';
    gamsTemp.costMarg.form = 'full';
    
    gamsTemp.costInv.uels = {strsplit(num2str(s.year)), s.techNames};
    gamsTemp.costInv.name = 'costInv';
    gamsTemp.costInv.type = 'parameter';
    gamsTemp.costInv.form = 'full';
    
    gamsTemp.cap0.uels = {strsplit(num2str(s.year)), s.techNames};
    gamsTemp.cap0.name = 'cap0';
    gamsTemp.cap0.type = 'parameter';
    gamsTemp.cap0.form = 'full';
    
    gamsTemp.ghgAbate.uels = {strsplit(num2str(s.year)), s.techNames};
    gamsTemp.ghgAbate.name = 'ghgAbate';
    gamsTemp.ghgAbate.type = 'parameter';
    gamsTemp.ghgAbate.form = 'full';
    
    gamsTemp.demand.uels = {strsplit(num2str(s.year)), {'land','aviation','goodsLand','ship'}};
    gamsTemp.demand.name = 'demand';
    gamsTemp.demand.type = 'parameter';
    gamsTemp.demand.form = 'full';

    gamsTemp.totalCostLimit.name = 'totalCostLimit';
    gamsTemp.totalCostLimit.type = 'parameter';
    
    gamsTemp.landMax.uels   =   {strsplit(num2str(s.year))};
    gamsTemp.landMax.name   =   'landMax';
    gamsTemp.landMax.type   =   'parameter';
    gamsTemp.landMax.form   =   'full';

    gamsTemp.landDmdPJ.uels = {strsplit(num2str(s.year)), s.techNames};
    gamsTemp.landDmdPJ.name = 'landDmdGJ';
    gamsTemp.landDmdPJ.type = 'parameter';
    gamsTemp.landDmdPJ.form = 'full';

    gamsTemp.costMarg.val           =   o(scenario).fuelMargCost.*10^6;                 %/PJ
    gamsTemp.costInv.val            =   o(scenario).plantInvNotLevelizedCost.*10^6;     %/PJ
    gamsTemp.cap0.val               =   o(scenario).cap0.*10^-6;
    gamsTemp.ghgAbate.val           =   o(scenario).fuelGHGabatement;
    gamsTemp.demand.val             =   [o(scenario).demLand',o(scenario).demAviation',o(scenario).demGoodsLand',o(scenario).demShip'];
    
    gamsTemp.landDmdPJ.val          =   o(scenario).landReqTotGJFuel.*10^6;
          
%     gamsTemp.totalCostLimit.val     =   450*10^12;
%     gamsTemp.totalCostLimit.val     =   s.totCostLimit(1);

    gamsTemp.gasLim.name = 'gasLim';
    gamsTemp.gasLim.type = 'parameter';
    gamsTemp.fuelQuota.name = 'fuelQuota';
    gamsTemp.fuelQuota.type = 'parameter';
    
    
    gamsTemp.aviationMinQuota.uels  =   {strsplit(num2str(s.year))};
    gamsTemp.aviationMinQuota.name  =   'aviationMinQuota';
    gamsTemp.aviationMinQuota.type  =   'parameter';
    gamsTemp.aviationMinQuota.form  =   'full';

    gamso.output = 'std';
%     gamso.compress = true;
    gamso.form = 'full';
        
%     for i=1:size(s.totCostLimit,2)
        [o(scenario).prd, o(scenario).cost, o(scenario).ghgTot, o(scenario).instCap] = ...
            gams('benoptAviationCoupled',...
            gamsTemp.costMarg,...
            gamsTemp.costInv,...
            gamsTemp.cap0,...
            gamsTemp.ghgAbate,...
            gamsTemp.demand,...
            gamsTemp.landDmdPJ,...
            gamsTemp.gasLim,...
            gamsTemp.fuelQuota,...
            gamsTemp.landMax,...
            gamsTemp.aviationMinQuota);
%     end

    clear matdata.gdx;
    clear gamsTemp;
    
    o(scenario).prd3=o(scenario).prd((s.numTech+s.numSectors+1):(s.runTime+s.numTech+s.numSectors),...
        1:s.numTech,...
        (s.numTech+1):(s.numSectors+s.numTech));
    o(scenario).instCap2=o(scenario).instCap((s.numTech+s.numSectors+1):(s.runTime+s.numTech+s.numSectors),...
        1:s.numTech);
    o(scenario).prd2 = sum(o(scenario).prd3,3); %3 to 2 dimensions
    o(scenario).prd4 = sum(sum(o(scenario).prd3,2),1); %2 to 1 dimension, sorted by markets

    for time=1:s.runTime
        o(scenario).ghgAbateOptim(time,:)             = o(scenario).prd2(time,:).*s.fuelGHGabatement(time,:)./1000;   %kgCo2eq/GJ = ktCO2eq/PJ --> MtCO2eq/PJ
        o(scenario).ghgAbateOptimTotYear(time)          = sum(o(scenario).ghgAbateOptim(time,:));
    end
    o(scenario).ghgAbateOptimTotAllYears            =   sum(o(scenario).ghgAbateOptimTotYear);
    o(scenario).ghgEmissionsAllSectorsFossilYearly  =   (o(scenario).demLand+o(scenario).demGoodsLand+o(scenario).demAviation+o(scenario).demShip)*s.referenceGHGemission/1000;
    o(scenario).ghgEmissionsAllSectorsFossil        =   sum(o(scenario).demLand+o(scenario).demGoodsLand+o(scenario).demAviation+o(scenario).demShip)*s.referenceGHGemission/1000;
    o(scenario).ghgEmissionsAllSectorsTot           =   o(scenario).ghgEmissionsAllSectorsFossil-o(scenario).ghgAbateOptimTotAllYears;
    o(scenario).ghgEmissionsPowerTot                =   sum(o(scenario).ghgEmissionsPower);
    
    o(scenario)                                     =   costCalc(o(scenario),o(scenario).prd2.*10^6,o(scenario).instCap2.*10^6);
    
%     o(scenario).ghgAbateOptim
    %     if scenario>2 %|| scenario==4 || scenario==5
    % %         mCarlo(scenario,:)=monteCarlo(s,f,1000,scenario);x
    %     end
    %     if scenario==1
    %         xlswrite('bensimOutput.xls',f.feedPriceGJ','monteCarloOutput','I4');
    %     end
    %     if scenario==3
    %         xlswrite('bensimOutput.xls',f.feedPriceGJ','monteCarloOutput','I14');
    %     end
    %     if scenario==5
    %         xlswrite('bensimOutput.xls',f.feedPriceGJ','monteCarloOutput','I24');
    %     end
    
    %%%% FIGURES
%      col         =   colormap(jet(10));
    costMarg            =   [59,157,166;210,226,136;204,231,211;151,191,12;128,103,0;220,158,0;180,11,67]/255;
%     col                 =   [169,212,15;2,175,198;47,205,156;79,129,189;255,255,153;244,238,0;226,62,11;255,84,71;255,150,0;196,0,70;0,0,0;100,100,100]/255;%Oli
    
%                              226,62,11;...

  titleVector         =   {'i','ii','iii','iv','v','vi','vii','viii','ix'};%,'x','xi','xii'};
    %%
    figure(12)
    hold on
    subplot(3,3,scenario);
    hArea=area(o(scenario).ghgAbateOptim);
    if scenario==8
        axis([1,s.runTime,0,35]);
    else
        axis([1,s.runTime,0,20]);
    end
    % [hAx,hArea,hLine]=plotyy(1:s.runTime,o(scenario).prdGams,1:s.runTime,o(scenario).landReqTot,'area','plot');
    % [hAx,hArea,hLine]=plotyy(1:s.runTime,o(scenario).fuelProdGHGabate,1:s.runTime,o(scenario).landReqTot,'area','plot');
    
    title(titleVector(scenario),'FontSize',11);
    
    if scenario         == 4% || scenario == 5 || scenario == 9
        ylabel('GHG-abatement {[MtCO_2eq}]')
        %         set(gca,'YTickLabel',{'0','100','200','300','400','600','800','1000','1200','1400','1600','1800'},'YTick',10^8*[0 1 2 3 4 6 8 10 12 14 16 18])
        %         set(hAx(2),'YTickLabel',[])
        %     elseif scenario     >   4
        %         ylabel(hAx(2),'Land area [Mha]','Color','black')
        %         set(hAx(1),'YTickLabel',[])
        %     set(hAx(2),'YTickLabel',{'0','1','2','3','4'},'YTick',10^6*[0 1 2 3 4],'YColor','black')
        %     else
        %         set(hAx(2),'YTickLabel',[])
        %         set(hAx(1),'YTickLabel',[])
    end
    
    % if mod(scenario,2)
    % else
    %     set(hAx(2),'YTickLabel',[])
    % end
    % xlabel('Year')
    % if scenario>=(noScenarios-1)
    set(gca,'XTickLabel',{'2020','','2030','','2040','','2050'},'XTick',[4,9,14,19,24,29,34])
    set(gca,'YTickLabel',{'0','10','20','30'},'YTick',[0,10,20,30])
    % else
    %     set(gca,'XTickLabel',[])%,'XTick',[2 7 12 17 22 27 32 37])
    % end
    %
    % set(hArea,'LineStyle','none');
%     set(hLine,'LineWidth',1,'LineStyle',':')
    for i       =   1:s.numTech
         set(hArea(i),'FaceColor',col(i,:))
    end
    set(hArea,'LineStyle','none');
    if scenario     ==  3
        legend(s.techNames,'FontSize',8,'Box','on','Orientation','horizontal',...
    'Position',[0.08 0.0185 0.85 0.034])
    end
    % grid on
    % set(hAx(2),'Xgrid','on','XTick',[2 7 12 17 22 27 32 37])
    % set(hAx(2),'Ygrid','on','YTick',10^6*[0 1 2 3 4])
    
    if scenario     ==  noScenarios
    set(gcf,'Position',[0 0 900 450])
    set(gcf,'PaperUnits','points','PaperPosition',[0 0 700 650],'PaperPositionMode','auto');
        print(gcf,'-painters','-depsc','-loose','GHGbaseDevGAMS')
        saveas(gcf,'GHGbaseDevGAMS.png')
    end
end

set(gca,'FontName','Helvetica')
set(gca,'FontSize',8)
set(findall(gcf,'type','text'),'FontName','Helvetica','FontSize',8)
set(findall(gcf,'type','axes'),'FontName','Helvetica','FontSize',8)

%%%%%%%%%%%%%%%%


%COST DEVELOPMENT BAR-GRAPH
figure(3)
    hold on;
    grid on;
plotPointVector=[2,15,max(s.runTime)];
scenario=3;
scenario2=5;
for i=1:3
    plotPoint=plotPointVector(i);
    for k=1:s.numTech
         stackDataPos(k,i,:)=[o(scenario).plantInvLevelizedCost(plotPoint,k), o(scenario).infrastructureCost(plotPoint,k), o(scenario).fuelFeedCost(plotPoint,k), ...
             o(scenario).feedCost2nd(plotPoint,k), o(scenario).feedCostHeatPower(plotPoint,k), o(scenario).fuelOandMcost(plotPoint,k)];
%                       o(scenario).fuelLandGHGcost(plotPoint,k), o(scenario).fuelGHGcost(plotPoint,k), ...
        stackDataNeg(k,i,:)=-o(scenario).fuelByprodRevenue(plotPoint,k);
        TC(i,k)=o(scenario).fuelMinInvestPrice(plotPoint,k);
        TCmax(i,k)=o(scenario2).fuelMinInvestPrice(plotPoint,k);
        MC(i,k)=o(scenario).fuelMinSellingPrice(plotPoint,k);
    end
end
groupLabels=s.techNames;
plotBarStackGroups(stackDataPos,stackDataNeg,TC,TCmax,MC,groupLabels);
set(gcf,'Position',[0 0 830 570])
set(gca,'YTickLabel',{'-20','0','20','30','40','50','60','70','80','100'},'YTick',[-20 0 20 30 40 50 60 70 80 100])
set(gca,'YGrid','on');
set(gca,'XGrid','off');



%%%%%%%%%%%%%%%%%%%
figure(5)
    hold on;
    grid on;
plotPointVector=[2,max(s.runTime)];
% scenario=1;
% scenario2=4;
scenarioVector=[1,1];
for i=1:size(plotPointVector,2)
    plotPoint=plotPointVector(i);
    for k=1:s.numTech
         stackDataPos2(k,i,:)=[o(scenarioVector(i)).ghgSoilN2OTotGJ(plotPoint,k),...
                               o(scenarioVector(i)).ghgFertilizerTotGJ(plotPoint,k),...
                               o(scenarioVector(i)).ghgDieselTotGJ(plotPoint,k),...
                               o(scenarioVector(i)).ghgHeatTotGJ(plotPoint,k),...
                               o(scenarioVector(i)).ghgPowerTotGJ(plotPoint,k),...
                               o(scenarioVector(i)).ghg2ndFeedTotGJ(plotPoint,k),...
                               o(scenarioVector(i)).ghgOtherTotGJ(plotPoint,k)];
        stackDataNeg2(k,i,:)=o(scenarioVector(i)).ghgP2ByprodGJ(plotPoint,k);
        TC2(i,k)=0;%o(scenario).fuelGHGemission(plotPoint,k);
        TCmax2(i,k)=0;%o(scenario2).fuelGHGemission(plotPoint,k);
        MargC2(i,k)=o(scenarioVector(i)).fuelGHGemission(plotPoint,k);
    end
end

groupLabels2=s.techNames;
plotBarStackGroups2(stackDataPos2,stackDataNeg2,TC2,TCmax2,MargC2,groupLabels2);
set(gcf,'Position',[0 0 830 570])
% set(gca,'YTickLabel',{'-20','0','20','30','40','50','60','70','80','100'},'YTick',[-20 0 20 30 40 50 60 70 80 100])
set(gca,'YGrid','on');
set(gca,'XGrid','off');

% title('Biofuel cost break-down in case C, for 2015, 2030 and 2050');
legend({'Soil N_{2}O','Fertilizer','Diesel','Heat','Power','2nd Feed','Other','GHG credit','TotGHG'},'Orientation','horizontal',...
    'Position',[0.0106 0.016 0.98 0.0465]);%'Location','NorthEast')
% ylabel('Cost [ GJ^{-1}]')
set(gcf,'PaperUnits','points','PaperPosition',[0 0 830 570],'PaperPositionMode','auto');
print(gcf,'-painters','-depsc','-loose','ghgDev')
saveas(gcf,'ghgDev.png')

%%%%%%%

figure(6)
    hold on
    for scenario=1:5
    if scenario==1
%         hLine1=plot(o(scenario).GHGabatementCost,':','LineWidth',1);
    elseif  scenario==3
%         hLine2=plot(o(scenario).GHGabatementCost,'--','LineWidth',1);
    elseif  scenario==5
        hLine6_3=plot(o(scenario).fuelGHGabateTotCost*1000,'-');%,'LineWidth',1);
    end
        ylabel(' {tCO_2eq}^{-1}');
        axis([2,s.runTime,300,900]);
        grid on
        set(gca,'YMinorGrid','on')
    set(gca,'XTickLabel',{'2020','','2030','','2040','','2050'},'XTick',[4,9,14,19,24,29,34])
%         set(gca,'XTickLabel',{'','2020','','2030','','2040','','2050'},'XTick',[2 7 12 17 22 27 32 37])
        set(gcf,'Position',[0 0 450 300])
        set(gcf,'PaperUnits','points','PaperPosition',[0 0 450 300],'PaperPositionMode','auto');
        title('GHG abatement cost')
    end
   for i=1:s.numTech
%      set(hLine1(i),'Color',c(i,:))
%      set(hLine2(i),'Color',c(i,:))
     set(hLine6_3(i),'Color',col(i,:))
   end
    legend(s.techNames,'FontSize',8,'Box','on','Location','NorthWest')
    print(gcf,'-painters','-depsc','-loose','ghgAbatementCost')
    saveas(gcf,'ghgAbatementCost.png')
% 
%     figure(22)
%     plot(100.*s.fuelGHGabatement./s.referenceGHGemission);
%     title('Fuel GHG Abatement [%]');%kg_{{CO_2eq}} {GJ}^{-1}]');
%     axis([2,s.runTime,0,100]);
%     set(gca,'XTickLabel',{'2020','','2030','','2040','','2050'},'XTick',[4,9,14,19,24,29,34])
%     legend(s.techNames,'FontSize',8,'Box','on','Location','SouthEast')
%     print(gcf,'-painters','-depsc','-loose','ghgAbatement')
%     saveas(gcf,'ghgAbatement.png')
    
    scenario=1;
    plotPoint=1;
    plotPoint2=max(s.runTime);
    
    
    figure(23)
    % kgCO2eq /GJ * 10^-3 * [ha/GJ]^-1 = tCO2eq/ha
    hBar        =   bar(10^-3.*o(scenario).fuelGHGabatement(plotPoint,1:s.numTech)./s.landReqTotGJFuel(plotPoint,1:s.numTech),'FaceColor','black');
    hold on
    hBar2       =   stem(10^-3.*o(scenario).fuelGHGabatement(plotPoint2,1:s.numTech)./s.landReqTotGJFuel(plotPoint2,1:s.numTech),'filled','black');
%     plot(100.*s.fuelGHGabatement./s.referenceGHGemission);
%     title('Fuel GHG Abatement [%]');%kg_{{CO_2eq}} {GJ}^{-1}]');
%     axis([2,s.runTime,0,100]);
%     set(gca,'XTickLabel',{'2020','','2030','','2040','','2050'},'XTick',[4,9,14,19,24,29,34])
%     ylabel('[t{CO_2eq} ha^{-1}]')
    title('Total biofuel pathway GHG-abatement per hectare of arable land {[tCO_2eq} ha^{-1}]')
    set(gca,'XTickLabel',s.techNames,'XTick',[1 2 3 4 5 6 7 8 9 10])    
    xlim([0 11])
    
    set(gcf,'Position',[0 0 950 400])
    set(gca,'YGrid','on');
    set(gca,'XGrid','off');
    set(gcf,'PaperUnits','points','PaperPosition',[0 0 700 450],'PaperPositionMode','auto');
    print(gcf,'-painters','-depsc','-loose','ghgFuelsHectare')
    saveas(gcf,'ghgFuelsHectare.png')
    
    figure(232)
    % kgCO2eq /GJ * 10^-3 * [ha/GJ]^-1 = tCO2eq/ha
    hLine232=plot(10^-3.*o(scenario).fuelGHGabatement./s.landReqTotGJFuel,'LineWidth',1.5);
    
    for i       =   1:s.numTech
         set(hLine232(i),'Color',col(i,:))
    end
    
         set(hLine232(3),'LineStyle',':')
         set(hLine232(4),'LineStyle','--')
         set(hLine232(8),'LineStyle','-.')
         set(hLine232(9),'LineStyle','--')
         set(hLine232(10),'LineStyle','--')
    
    
    axis([2,s.runTime,0,14]);
    set(gca,'XTickLabel',{'2020','','2030','','2040','','2050'},'XTick',[4,9,14,19,24,29,34])
    ylabel('[{tCO_2eq} ha^{-1}]')
    title('Total biofuel pathway GHG-abatement per hectare of arable land')
    legend(s.techNames,'FontSize',8,'Box','on','Location','NorthWest')
    set(gcf,'Position',[0 0 600 400])
    grid on
    set(gcf,'PaperUnits','points','PaperPosition',[0 0 600 450],'PaperPositionMode','auto');
    print(gcf,'-painters','-depsc','-loose','ghgFuelsHectareDev')
    saveas(gcf,'ghgFuelsHectareDev.png')
    
%     
%     totalGHGemissionsTransportPower(1,:)       =     [o(1).ghgEmissionsPowerTot o(1).ghgEmissionsAllSectorsFossil];
        
    for scenario=1:noScenarios
        totalGhgAbateCostVectorScenarios(scenario)        =     o(scenario).cost./(o(scenario).ghgAbateOptimTotAllYears*10^6);
        totalCostVectorScenarios(scenario)                =     o(scenario).cost.*10^-9;
        totalGHGAbateScenarios(scenario)                  =     o(scenario).ghgAbateOptimTotAllYears;
        totalGHGemissionsTransportPower(scenario,:)       =     [o(scenario).ghgEmissionsPowerTot o(scenario).ghgEmissionsAllSectorsTot o(scenario).ghgAbateOptimTotAllYears];
    end
    
    figure(13)
    subplot(3,1,1)
    hold on
    hBar=barh(totalGhgAbateCostVectorScenarios,0.7,'FaceColor','black');
title('Average relative GHG abatement cost [ {tCO_2eq}^{-1}]')
set(gca,'XTickLabel',{'0','100','200','300','400','500','600','700','800'},'XTick',[0 100 200 300 400 500 600 700 800])
set(gca,'YTickLabel',titleVector(1:noScenarios),'YTick',[1 2 3 4 5 6 7 8 9])
%     print(gcf,'-painters','-depsc','-loose','ghgAbatementCostAvg')
%     saveas(gcf,'ghgAbatementCostAvg.png')
    set(gca,'YDir','reverse'); 
    set(gca,'YGrid','off');
    set(gca,'XGrid','on');
    
    subplot(3,1,2)
    hold on
    hBar=barh(totalCostVectorScenarios,0.7,'FaceColor','black');
title('Total cost [G]')
% set(gca,'YTickLabel',{'0','1','2','3','4','5','6','7'},'YTick',10^8*[0 1 2 3 4 5 6 7])
set(gca,'YTickLabel',titleVector(1:noScenarios),'YTick',[1 2 3 4 5 6 7 8 9])
    set(gca,'YDir','reverse'); 
    set(gca,'YGrid','off');
    set(gca,'XGrid','on');
    
    subplot(3,1,3)
    hold on
    hBar=barh(totalGHGAbateScenarios,0.7,'FaceColor','black');
title('Total GHG abatement {[MtCO_2eq}]')
% ylabel('Scenario')
% set(gca,'YTickLabel',{'0','1','2','3','4','5','6','7'},'YTick',10^8*[0 1 2 3 4 5 6 7])
set(gca,'YTickLabel',titleVector(1:noScenarios),'YTick',[1 2 3 4 5 6 7 8 9])
set(gca,'YDir','reverse');     
    set(gca,'YGrid','off');
    set(gca,'XGrid','on');

    set(gcf,'Position',[0 0 400 500])
    set(gcf,'PaperUnits','points','PaperPosition',[0 0 400 500],'PaperPositionMode','auto');
print(gcf,'-painters','-depsc','-loose','totalCostGHGAbate')
    saveas(gcf,'totalCostGHGAbate.png')

    
    
    figure(30)
    hold on
    hBar=bar(totalGHGemissionsTransportPower,'stacked');
    
    plot(xlim,[11200 11200],'-','Color',col(1,:))
    plot(xlim,[9900 9900],'-', 'Color',col(2,:))
    plot(xlim,[7700 7700],'-', 'Color',col(3,:))
    plot(xlim,[4400 4400],'-', 'Color',col(4,:))
    
    legend('Power','Transport','Biofuel abatement','2 degree, 50%','2 degree, 66%','1.5 degree, 33%','1.5 degree, 50%','Location','NorthWest')
    
    
    title('Total GHG emissions for power and transport {[MtCO_2eq}]')
    for i=1:3
        set(hBar(i),'FaceColor',col(i+7,:))
    end
set(gca,'XTickLabel',titleVector,'XTick',[1 2 3 4 5 6 7 8 9])
% set(gca,'YDir','reverse');     
print(gcf,'-painters','-depsc','-loose','totalGHGemissions')
    saveas(gcf,'totalGHGemissions.png')
        
    %%
    figure(40)
    hold on
    title('Transport total GHG emission development {[MtCO_2eq}]')
%     plot(o(1).ghgEmissionsPower)
%     plot(o(9).ghgEmissionsPower)
    for scenario=1:noScenarios
        hLine40(scenario)=plot(o(scenario).ghgEmissionsAllSectorsFossilYearly-o(scenario).ghgAbateOptimTotYear','Color',col(scenario,:));
%         set(hLine(i),'Color',col(i,:))
        if scenario==3
            set(hLine40(scenario),'LineStyle','--')
        elseif scenario==4
            set(hLine40(scenario),'LineStyle','--')
        elseif scenario==8
            set(hLine40(scenario),'LineStyle','--')
        elseif scenario==9
            set(hLine40(scenario),'LineStyle','--')
        end
    end
    set(gca,'XTickLabel',{'2020','','2030','','2040','','2050'},'XTick',[4,9,14,19,24,29,34])
    grid on  
%     set(gca,'YGrid','on');
%     set(gca,'XGrid','off');
    legend(titleVector,'Location','SouthWest')
    axis([2,s.runTime,0,230]);
    set(gcf,'Position',[0 0 420 300])
    set(gcf,'PaperUnits','points','PaperPosition',[0 0 420 300],'PaperPositionMode','auto');
    print(gcf,'-painters','-depsc','-loose','totalGHGemissionsDev')
    saveas(gcf,'totalGHGemissionsDev.png')

    %%
filename='bensimOutput.xls';


xlswrite(filename,o(1).fuelMinInvestPrice(2:s.runTime,:)','costOutput','C4');
xlswrite(filename,o(1).plantInvLevelizedCost(2:s.runTime,:)','costOutput','C12');
xlswrite(filename,o(3).fuelMinInvestPrice(2:s.runTime,:)','costOutput','C20');
xlswrite(filename,o(3).plantInvLevelizedCost(2:s.runTime,:)','costOutput','C28');
xlswrite(filename,o(5).fuelMinInvestPrice(2:s.runTime,:)','costOutput','C36');
xlswrite(filename,o(5).plantInvLevelizedCost(2:s.runTime,:)','costOutput','C44');
xlswrite(filename,o(5).fuelMargCost(1:s.runTime,:),'gamsInput','C4');
xlswrite(filename,o(5).plantInvLevelizedCost(1:s.runTime,:),'gamsInput','J4');
xlswrite(filename,o(5).fuelGHGabatement(1:s.runTime,:),'gamsInput','Q4');
xlswrite(filename,o(5).landReqTotGJFuel(1:s.runTime,:).*10^6,'gamsInput','AE4');

xlswrite(filename,o(1).prd2(1:s.runTime,:),'gamsOutput','C4');
xlswrite(filename,o(1).fuelMargCost(1:s.runTime,:),'gamsOutput','O4');
xlswrite(filename,o(1).runCost(1:s.runTime,:).*10^-6,'gamsOutput','AA4');
xlswrite(filename,o(1).instCap2(1:s.runTime,:),'gamsOutput','AM4');
xlswrite(filename,o(1).plantInvLevelizedCost(1:s.runTime,:),'gamsOutput','AY4');
xlswrite(filename,o(1).invCost(1:s.runTime,:).*10^-6,'gamsOutput','BK4');
xlswrite(filename,o(1).costTot(1:s.runTime,:).*10^-6,'gamsOutput','BW4');
xlswrite(filename,o(1).cost.*10^-6,'gamsOutput','BV39');
% 
% xlswrite(filename,o(2).prd2(1:s.runTime,:),'gamsOutput2','C4');
% xlswrite(filename,o(2).instCap2(1:s.runTime,:),'gamsOutput2','O4');
% xlswrite(filename,o(3).prd2(1:s.runTime,:),'gamsOutput3','C4');
% xlswrite(filename,o(3).instCap2(1:s.runTime,:),'gamsOutput3','O4');
% xlswrite(filename,o(4).prd2(1:s.runTime,:),'gamsOutput4','C4');
% xlswrite(filename,o(4).instCap2(1:s.runTime,:),'gamsOutput4','O4');
% xlswrite(filename,o(5).prd2(1:s.runTime,:),'gamsOutput5','C4');
% xlswrite(filename,o(5).instCap2(1:s.runTime,:),'gamsOutput5','O4');
% xlswrite(filename,o(6).prd2(1:s.runTime,:),'gamsOutput6','C4');
% xlswrite(filename,o(6).instCap2(1:s.runTime,:),'gamsOutput6','O4');
% xlswrite(filename,o(7).prd2(1:s.runTime,:),'gamsOutput7','C4');
% xlswrite(filename,o(7).instCap2(1:s.runTime,:),'gamsOutput7','O4');
% xlswrite(filename,o(8).prd2(1:s.runTime,:),'gamsOutput8','C4');
% xlswrite(filename,o(8).instCap2(1:s.runTime,:),'gamsOutput8','O4');
% xlswrite(filename,o(9).prd2(1:s.runTime,:),'gamsOutput9','C4');
% xlswrite(filename,o(9).instCap2(1:s.runTime,:),'gamsOutput9','O4');

% 
% xlswrite(filename,o(1).prd4(1:s.runTime),'prdSector','C4');
% xlswrite(filename,o(2).prd4(1:s.runTime),'prdSector','C5');
% xlswrite(filename,o(3).prd4(1:s.runTime),'prdSector','C6');
% xlswrite(filename,o(4).prd4(1:s.runTime),'prdSector','C7');
% xlswrite(filename,o(5).prd4(1:s.runTime),'prdSector','C8');
% xlswrite(filename,o(6).prd4(1:s.runTime),'prdSector','C9');
% xlswrite(filename,o(7).prd4(1:s.runTime),'prdSector','C10');
% xlswrite(filename,o(8).prd4(1:s.runTime),'prdSector','C11');
% xlswrite(filename,o(9).prd4(1:s.runTime),'prdSector','C12');
