function [s]=costCalc(s,prd,inst)

s.plantInvCostInit                              =   s.plantInvCostProMWinit.*s.annuityFactorInvest./(3.6.*s.fullLoadHours);   %/GJ
% s.plantInvLevelizedCost                         =   ones([s.runTime,s.numTech]);                                              %/GJ
% s.plantInvLevelizedCost(1,:)                    =   s.plantInvCostInit;                                                       %/GJ

s.plantLearnElast                               =   -log(1-s.plantLearningRate)/log(2);

for i       =   1:s.numTech
    s.plantExogenLearning(i)                    =   10^(log10(1/(1+s.plantLearningRate(i)))/s.learningYears);
%      s.cap0temp(:,i)                                  =   linspace(s.plantCap(1,i),0,s.plantLifeTime(i));
end
% s.cap0=zeros([s.runTime,s.numTech])+s.cap0temp
% 
% s.fuelOandMcost(1,:)                            =   (1+s.plantOperMaintShare).*(s.plantMaintInvShare.*s.plantInvCostInit/s.annuityFactorInvest)+s.plantOperLaborCost;
% s.fuelOandMcost(2,:)                            =   s.fuelOandMcost(1,:);

% s.infrastructureCost(1,:)                       =   s.transportCost(1,:)+s.storageCost(1,:);

% s.fuelFeedCost(1,:)                             =   s.feedPrice(1,:)./(s.feedEnergyContent.*s.plantConvEta(1,:));

% s.feedCostHeatPower(1,:)                        =   s.powerInput.*s.powerPrice(1)+s.heatInput.*s.heatPrice(1);

% s.fuelMargCost(1,:)                             =   s.transportCost(1,:)+s.storageCost(1,:)+s.fuelFeedCost(1,:)...
%                                                         +s.fuelOandMcost(1,:)+s.feedCost2nd(1,:)...
%                                                         +s.feedCostHeatPower(1,:)-s.fuelByprodRevenue(1,:); %Operating marginal costs per GJ fuel from each plant
for time=1:s.runTime
    
    s.infrastructureCost(time,:)                =   s.transportCost(time,:)+s.storageCost(time,:);
for i=1:s.numTech

    if time>=2
        s.plantCapCumul(time,i)                 =   s.plantCapCumul(time-1,i)+inst(time,i);
    end
    
        s.plantInvLevelizedCost(time,i)         =   min(s.plantInvCostInit(i)*s.plantExogenLearning(i)^(time),...
                                                        s.plantInvCostInit(i)*(s.plantCapCumul(time,i)...
                                                        /s.plantCapCumul(1,i))^(-s.plantLearnElast(i))); %Investment Cost per GJ produced incl. learning
                                                    
        s.fuelOandMcost(time,i)                 =   (1+s.plantOperMaintShare(i))*(s.plantMaintInvShare(i)*s.plantInvLevelizedCost(time,i)...
                                                        /s.annuityFactorInvest)+s.plantOperLaborCost(i); %O&M Cost yearly excl feedstock per MJ produced
                                                    
        s.fuelFeedCost(time,i)                  =   s.feedPrice(time,i)/(s.feedEnergyContent(i)*s.plantConvEta(time,i));
        
        s.feedCostHeatPower(time,i)             =   s.powerInput(i)*s.powerPrice(time)+s.heatInput(i)*s.heatPrice(time);
        
        s.fuelMargCost(time,i)                  =   s.infrastructureCost(time,i)+s.fuelFeedCost(time,i)...
                                                        +s.fuelOandMcost(time,i)+s.feedCost2nd(time,i)...
                                                        +s.feedCostHeatPower(time,i)-s.fuelByprodRevenue(time,i); %Operating marginal costs per GJ fuel from each plant
        
        s.fuelGHGabateInvestCost(time,i)        =   s.plantInvLevelizedCost(time,i)/s.fuelGHGabatement(time,i); %%% NEW!!!
        
        s.fuelGHGabateMargCost(time,i)          =   s.fuelMargCost(time,i)/s.fuelGHGabatement(time,i); %%% NEW!!!
        
        s.fuelGHGabateTotCost(time,i)           =   (s.plantInvLevelizedCost(time,i)+s.fuelMargCost(time,i))/s.fuelGHGabatement(time,i); %/GJ * [kgCO2eq/GJ]^-1 -> /kgCO2eq
        
        
        s.invCost(time,i)                         =   inst(time,i).*s.plantInvLevelizedCost(time,i);
        s.runCost(time,i)                         =   prd(time,i).*s.fuelMargCost(time,i);
        s.costTot(time,i)                         =   s.invCost(time,i)+s.runCost(time,i);
end
s.costTot2(time)                                  =   sum(s.costTot(time,:));


end
s.cost                                      =   sum(s.costTot2);
end