function [s,f]=feedCost(s,f)

for time=1:f.runTime
    f.priceDev(time)=(1+s.priceDevFactor)^(time-1);
                
    f.feedYieldFM(time,:)=f.feedYieldFMstart+(time-1)*(f.feedYieldFMend-f.feedYieldFMstart)/(f.runTime-1);
    f.feedYieldDM(time,:)=f.feedYieldFM(time,:).*f.feedDMcontent;
    
    f.feedYieldGJ(time,:)=f.feedYieldDM(time,:).*f.feedDMenergyContent;
    
    f.feedFMenergyContent=f.feedDMcontent.*f.feedDMenergyContent;

    
    s.powerPrice=0.12*f.priceDev; %/kWh
% 
%     if time<=max(s.runTime)
%         s.plantConvEta(time,:)=s.plantConvEtaInit+(time-1).*(s.plantConvEtaLimit-s.plantConvEtaInit)/(f.runTime-1);
%     else
%         s.plantConvEta(time,:)=s.plantConvEta(max(s.runTime),:);
%     end
    
    s.labourCost(time)=s.labourCostStart*f.priceDev(time);
    s.dieselCost(time)=s.dieselCostStart*f.priceDev(time);
    
    f.wheatIncome(time)=f.wheatPriceStart*f.feedYieldFM(time,7)*f.priceDev(time); %/ha
        
    f.feedLabourCostHa(time,:)=(f.feedLabourHaStart+(time-1)*(f.feedLabourHaEnd-f.feedLabourHaStart)/(f.runTime-1)).*s.labourCost(time);
    f.feedDieselHa(time,:)=(f.feedDieselHaStart+(time-1)*(f.feedDieselHaEnd-f.feedDieselHaStart)/(f.runTime-1));
    f.feedDieselCostHa(time,:)=s.dieselCost(time).*f.feedDieselHa(time,:);
    f.feedMachineFixHa(time,:)=f.feedMachineFixHaStart+(time-1)*(f.feedMachineFixHaEnd-f.feedMachineFixHaStart)/(f.runTime-1);
    f.feedMachineVarHa(time,:)=f.feedMachineVarHaStart+(time-1)*(f.feedMachineVarHaEnd-f.feedMachineVarHaStart)/(f.runTime-1);
    f.feedDirectCostsHa(time,:)=f.feedDirectCostsHaStart;%+(time-1)*(f.feedDirectCostsHaEnd-f.feedDirectCostsHaStart)/f.runTime;
    f.feedExpensesHa(time,:)=f.feedLabourCostHa(time,:)+f.feedDieselCostHa(time,:)+f.feedMachineFixHa(time,:)+f.feedMachineVarHa(time,:)+f.feedDirectCostsHa(time,:);
    f.wheatProfit(time)=f.wheatIncome(time)-f.feedExpensesHa(time,max(f.numFeed));
    f.feedProfit(time)=f.wheatProfit(time);
    f.feedIncomeHa(time,:)=f.feedExpensesHa(time,:)+f.feedProfit(time);
    
%     f.feedFertilizerHa(time,:)=f.feedFertilizerHaStart+(time-1)*(f.feedFertilizerHaEnd-f.feedFertilizerHaStart)/f.runTime;
%         
%     if s.marginalLand==1
%         f.feedLabourCostHa(time,4:6)=1.5.*f.feedLabourCostHa(time,4:6);
%         f.feedDieselCostHa(time,4:6)=1.5.*f.feedDieselCostHa(time,4:6);
%         f.feedMachineFixHa(time,4:6)=f.feedMachineFixHa(time,4:6);
%         f.feedMachineVarHa(time,4:6)=1.5.*f.feedMachineVarHa(time,4:6);
%         f.feedDirectCostsHa(time,4:6)=f.feedDirectCostsHa(time,4:6);
%         f.feedExpensesHa(time,4:6)=f.feedLabourCostHa(time,4:6) + f.feedDieselCostHa(time,4:6) + f.feedMachineFixHa(time,4:6) + f.feedMachineVarHa(time,4:6) + f.feedDirectCostsHa(time,4:6);
%         
%         f.feedIncomeHa(time,4:6)=f.feedExpensesHa(time,4:6);
%         f.feedYieldFMstart(4:6)=f.feedYieldFMmarginalLand(4:6);
%         f.feedYieldFMend(4:6)=f.feedYieldFMmarginalLand(4:6);
%     end
    
    f.feedPrice(time,:)=f.feedIncomeHa(time,:)./f.feedYieldDM(time,:); %/tDM
    
    
%     %     Rape seed
%     if time==1
%         f.feedPriceRapeSeedTemp=f.feedPrice(1,3);
%     end
%     f.rapeSeedFactorInit=f.rapeSeedPriceStart/(f.feedDMcontent(3)*f.feedPriceRapeSeedTemp);
%     f.rapeSeedFactor(time)=f.rapeSeedFactorInit+(time-1)*(1-f.rapeSeedFactorInit)/(f.runTime-1);
%     f.feedPrice(time,3)=f.feedPrice(time,3)*f.rapeSeedFactor(time); %adapt rape seed price to current
    
    
    f.feedPriceGJ(time,:)       =   f.feedPrice(time,:)./f.feedDMenergyContent;
    
    f.siloMaizePrice(time)      =   f.feedPrice(time,1);
    f.sugarBeetPrice(time)      =   f.feedPrice(time,2);
    f.rapeSeedPrice(time)       =   f.feedPrice(time,3);
    
%     f.strawPrice(time)          =   f.strawPriceStart*f.priceDev(time);
%     f.residualWoodPrice(time)   =   f.residualWoodPriceStart*f.priceDev(time);
%     f.residualWastePrice(time)  =   f.residualWastePriceStart*f.priceDev(time);
%     s.residualPowerPrice(time)  =   s.residualPowerPriceStart*f.priceDev(time);
    
%     f.palmOilPrice(time)        =   f.palmOilPriceStart*f.rapeSeedPrice(time)/f.rapeSeedPrice(1);%f.priceDev(time);
%     f.soyBeanOilPrice(time)     =   f.soyBeanOilPriceStart*f.rapeSeedPrice(time)/f.rapeSeedPrice(1);
%     f.sugarCanePrice(time)      =   f.sugarCanePriceStart*f.sugarBeetPrice(time)/f.sugarBeetPrice(1);
%     f.wasteOilFatPrice(time)    =   f.wasteOilFatPriceStart*f.priceDev(time);
    f.wheatPrice(time)          =   f.feedPrice(time,7);
    if s.goalFunction==1
        [f.lignoPrice(time),f.posMin(time)]=min(f.feedPrice(time,4:6));
    elseif goalFunction==2
        [f.lignoPrice(time),f.posMin(time)]=min(f.feedGHG(time,4:6));
    end
    
    s.feedPrice(time,:)         =   [...
        f.siloMaizePrice(time),...
        f.sugarBeetPrice(time),...
        f.wheatPrice(time),...
        f.rapeSeedPrice(time),...
        f.lignoPrice(time),f.lignoPrice(time),f.lignoPrice(time),...
        f.lignoPrice(time),f.siloMaizePrice(time),f.lignoPrice(time)];
    
    s.landReqGJFuel(time,:)         =   (...
        s.plantConvEta(time,:).*[...
        f.feedDMenergyContent(1)*f.feedYieldDM(time,1),...
        f.feedDMenergyContent(2)*f.feedYieldDM(time,2),...
        f.feedDMenergyContent(7)*f.feedYieldDM(time,7),...
        f.feedDMenergyContent(3)*f.feedYieldDM(time,3),...
        f.feedDMenergyContent(f.posMin(time)+3)*f.feedYieldDM(time,f.posMin(time)+3),...
        f.feedDMenergyContent(f.posMin(time)+3)*f.feedYieldDM(time,f.posMin(time)+3),...
        f.feedDMenergyContent(f.posMin(time)+3)*f.feedYieldDM(time,f.posMin(time)+3),...
        f.feedDMenergyContent(f.posMin(time)+3)*f.feedYieldDM(time,f.posMin(time)+3),...
        f.feedDMenergyContent(1)*f.feedYieldDM(time,1),...
        f.feedDMenergyContent(f.posMin(time)+3)*f.feedYieldDM(time,f.posMin(time)+3),...
        ]).^-1;%.*s.landUsingFuel; %ha/GJ_fuel
    
    s.feedYieldFM(time,1:f.numFeed) =   f.feedYieldFM(time,1:f.numFeed);
s.feedYieldFM(time,3)           =   f.feedYieldFM(time,7);
s.feedYieldFM(time,4)           =   f.feedYieldFM(time,3);
s.feedYieldFM(time,5)           =   f.feedYieldFM(time,f.posMin(time)+3);
s.feedYieldFM(time,6)           =   f.feedYieldFM(time,f.posMin(time)+3);
s.feedYieldFM(time,7)           =   f.feedYieldFM(time,f.posMin(time)+3);
s.feedYieldFM(time,8)           =   f.feedYieldFM(time,f.posMin(time)+3);
s.feedYieldFM(time,9)           =   f.feedYieldFM(time,1);
s.feedYieldFM(time,10)          =   f.feedYieldFM(time,f.posMin(time)+3);

% s.feedFMenergyContent       =   f.feedFMenergyContent(1:s.numTech);
% s.feedFMenergyContent(5)    =   s.feedFMenergyContent(4);

s.feedYieldGJ(time,1:f.numFeed) =   f.feedYieldGJ(time,1:f.numFeed);
s.feedYieldGJ(time,3)           =   f.feedYieldGJ(time,7);
s.feedYieldGJ(time,4)           =   f.feedYieldGJ(time,3);
s.feedYieldGJ(time,5)           =   f.feedYieldGJ(time,f.posMin(time)+3);
s.feedYieldGJ(time,6)           =   f.feedYieldGJ(time,f.posMin(time)+3);
s.feedYieldGJ(time,7)           =   f.feedYieldGJ(time,f.posMin(time)+3);
s.feedYieldGJ(time,8)           =   f.feedYieldGJ(time,f.posMin(time)+3);
s.feedYieldGJ(time,9)           =   f.feedYieldGJ(time,1);
s.feedYieldGJ(time,10)          =   f.feedYieldGJ(time,f.posMin(time)+3);

    
    s.landReqHeatGJFuel(time,:)     =   s.heatInput.*(3.6./1000)./(s.feedYieldGJ(time,f.posMin(time)+3).*s.heatEta); %kWh_heat/GJ_fuel * MJ/kWh * (MJ/GJ)^-1 * (GJ/ha)^-1 * eta^-1
    s.landReq2ndFeedGJFuel(time,:)  =   [0 0 0 3.29 0 0 0 0 0 0].*10^-3.*27.*s.landReqGJFuel(time,2); %kWh_heat/GJ_fuel * MJ/kWh * (MJ/GJ)^-1 * (GJ/ha)^-1 * eta^-1
    s.landReqTotGJFuel(time,:)      =   s.landReqGJFuel(time,:)+s.landReqHeatGJFuel(time,:)+s.landReq2ndFeedGJFuel(time,:);
    
    f.feedYieldGJ(time,:)=f.feedYieldDM(time,:).*f.feedDMenergyContent;
    
    s.fuelPerHa(time,:)=s.landReqGJFuel(time,:).^-1;%.*s.landUsingFuel; %GJ_fuel/ha
    s.lignoMinName(time)=f.feedNames(f.posMin(time)+3); %Name of cheapest perennial biomass
        
    f.feedPriceDev(time,:)=f.feedPrice(time,:)./f.feedPrice(1,:);
            
    s.transportCost(time,:)=(s.transportCostHigh+s.transportCostLow)/2+(time-1).*(s.transportCostLow-(s.transportCostHigh+s.transportCostLow)/2)/(f.runTime-1);
    s.storageCost(time,:)=(s.storageCostHigh+s.storageCostLow)/2+(time-1).*(s.storageCostLow-(s.storageCostHigh+s.storageCostLow)/2)/(f.runTime-1);

    
s.methanolPrice(time)=23*27*f.priceDev(time); %/t --- 23/GJ start, 27GJ/t => 621/t (Bioethanol) <--- (ADAPT TO BE BIOMETHANOL!) - could be recursive, would require more computational time however.
s.hydrogenPrice(time)=5000*f.priceDev(time); %/t
s.co2Price(time)=100*f.priceDev(time); %/t
s.heatPrice(time)=f.lignoPrice(time).*3.6./(f.feedDMenergyContent(f.posMin(time)+3).*s.heatEta*10^3); %/tDM * (GJ/tDM)^-1 * (MJ/GJ)^-1 * MJ/kWh * eta^-1 -> /kWh


%%%%%%%%%%%
s.feedCost2nd(time,:)=[0,...
    0,0,...
    (3.29*10^-3)*s.methanolPrice(time),...
    0,0,0,...
    0,0,0]; %/GJ, methanol kgDM/GJ,H2 kgDM/GJ
    
s.digestatePrice(time)=0;
s.vinassePrice(time)=70*f.feedPriceDev(time,2);
s.driedpulpPrice(time)=0;
s.aldehydePrice(time)=0;
s.schrotPrice(time)=211*f.feedPriceDev(time,3);
s.pharmaglycerinPrice(time)=600*f.feedPriceDev(time,3);
s.naphthaPrice(time)=4*f.priceDev(time); %/t
s.ddgsPrice(time)=140*f.feedPriceDev(time,7);
s.fuelgasPrice(time)=100*f.lignoPrice(time);

% ligninPrice=0*f.priceDev; %Phenol referenzpreis 500/t lt Jakob Hildebrandt
% c5sirupPrice=0*ones([1,37]);


s.fuelByprodRevenue(time,:)=10^(-3)*[295*s.digestatePrice(time),...
    23.7*s.vinassePrice(time)+24.8*s.driedpulpPrice(time)+0.73*s.aldehydePrice(time),...
    44.43*s.ddgsPrice(time),...
    32.54*s.schrotPrice(time)+2.51*s.pharmaglycerinPrice(time),...
    47.22*s.heatPrice(time),...
    0,... %%%heat and power maybe
    8.44*s.naphthaPrice(time),...
    8.44*s.naphthaPrice(time),...
    295*s.digestatePrice(time),...
    0];

end



end