function [s]=ghgEmissions(s,f)

for time=1:s.runTime

s.ghgCultivationTotHa(time,:)       =   s.ghgSeeds.*s.ghgEFSeeds...
                                +s.ghgN2Oha.*s.ghgEFN2O(1)...
                                +s.ghgNha.*s.ghgEFN(time)...
                                +s.ghgP2O5.*s.ghgEFP2O5(1)...
                                +s.ghgK2O.*s.ghgEFK2O(1)...
                                +s.ghgCaO.*s.ghgEFCaO(1)...
                                +s.ghgMgO.*s.ghgEFMgO(1)...
                                +s.ghgPesticides.*s.ghgEFPesticides(1)...
                                +s.ghgPowerDrying.*s.ghgEFPower(time)...
                                +s.ghgDiesel.*s.ghgEFDiesel(time); %Co2eq/ha/a

s.ghgCultivationTotTfm(time,:)      =   s.ghgCultivationTotHa(time,:)./s.feedYieldFM(time,:);
s.ghgTransport1(time,:)             =   (s.ghgTransp1DistFull.*s.ghgTranspDieselFull+...
                    s.ghgTransp1DistEmpty.*s.ghgTranspDieselEmpty).*s.ghgEFDiesel(time)./s.ghgTransp1Amount; %CO2eq/tFM

if      s.heatOption==1
        s.ghgEFHeat(time,:)       =   [0.00043 0.067 0.067 0.067 0.067 0.067 0.067]; %kgCO2eq/MJ
elseif  s.heatOption==2
        s.ghgEFHeat(time,:)       =   ones([s.numTech,1])*(...
            s.ghgCultivationTotHa(time,5)...                    %CO2eq/ha
            +s.ghgTransport1(time,5).*s.feedYieldFM(time,5)...  %CO2eq/tFM * tFM/ha
            )./(s.feedYieldGJ(time,5).*10^6*s.heatEta);         %CO2eq/ha  *(GJ/ha)^-1 * GJ/MJ * eta^-1
end

%possibly update diesel EF value to a temporal development
s.ghgP1tot(time,:)                  =   s.ghgP1Heat.*s.ghgEFHeat(time,:)...
                                +s.ghgP1Power.*s.ghgEFPower(time)...
                                +s.ghgP1Limestone.*s.ghgEFLimestone...
                                +s.ghgP1Hexane.*s.ghgEFHexane...
                                +s.ghgP1ProcessH2O.*s.ghgEFProcessH2O...
                                +s.ghgP1WastewaterTreatment.*s.ghgEFWastewaterTreatment; %CO2eq/tFM_feed

% s.ghgP1endgate1(time,:)             =   s.ghgCultivationTotTfm(time,:)+s.ghgTransport1(time,:)+s.ghgP1tot(time,:); %/tFM_feed

% s.ghgP1endgate2(time,:)             =   s.ghgP1endgate1(time,:).*s.ghgP1AllocationFactor./s.ghgP1Yield; % GHG on intermediate product [biomethane (/m^3), sugar juice (/t), 

s.ghgP2tot(time,:)                  =   s.ghgP2Heat.*s.ghgEFHeat(time,:)...
                                +s.ghgP2Power.*s.ghgEFPower(time)...
                                +s.ghgP2HNO3.*s.ghgEFHNO3(1)...
                                +s.ghgP2NaOH.*s.ghgEFNaOH(1)...
                                +s.ghgP2H3PO4.*s.ghgEFH3PO4(1)...
                                +s.ghgP2DryYeast.*s.ghgEFDryYeast(1)...
                                +s.ghgP2CH4N2O.*s.ghgEFCH4N2O(1)...
                                +s.ghgP2CH3OH.*s.ghgEFCH3OH(time)...
                                +s.ghgP1ProcessH2O.*s.ghgEFProcessH2O(1)...
                                +s.ghgP1WastewaterTreatment.*s.ghgEFWastewaterTreatment(1); %/tFM_feed
                            
% s.ghgP2endgate1(time,:)             =   s.ghgP2tot(time,:)+s.ghgP1endgate2(time,:);

% s.ghgP2endgate2(time,:)             =   s.ghgP2endgate1(time,:).*s.ghgP2AllocationFactor./s.ghgP2Yield; % GHG on intermediate product [biomethane, sugar juice, 

s.ghgP2Byprod(time,:)               =   s.ghgP2YieldByprod.*10^3-s.ghgP2ByprodUpgradePower.*s.ghgEFPower(time); %/tFM_feed

% s.ghgP2endgate3(time,:)             =   s.ghgP2endgate2(time,:)-s.ghgP2Byprod(time,:);

s.ghgTransport21(time,:)            =   s.ghgTranspGasGridPower.*s.ghgEFPower(time)+s.ghgTranspProcessHeat.*s.ghgEFHeat(time,:);
s.ghgTransport22(time,:)            =   (s.ghgTransp2DistFull.*s.ghgTranspDieselFull+s.ghgTransp2DistEmpty.*s.ghgTranspDieselEmpty).*s.ghgEFDiesel(time)./s.ghgTranspAmount;
s.ghgTransport2(time,:)            =   s.ghgTransport21(time,:)+s.ghgTransport22(time,:);

% s.ghgTot(time,:)                    =   s.ghgP2endgate3(time,:)+s.ghgTransport2(time,:); %kgCO2eq/t [CH4: /m]

% s.fuelGHGemission(time,:)           =   s.ghgTot(time,:)./s.fuelSpecificEnergy; %kgCo2eq/GJ

% s.fuelGHGabatement(time,:)              =   s.referenceGHGemission-s.fuelGHGemission(time,:); %% %kgCo2eq/GJ - OBS! Positive number - the higher the better

%%%%% On total
s.hatoGJfactor(time,:)                =  s.ghgP2AllocationFactor.*s.ghgP1AllocationFactor...
    ./(s.feedYieldGJ(time,:).*s.plantConvEta(time,:));
%                                         (1./s.fuelSpecificEnergy).*...
%                                          (s.ghgP2AllocationFactor./s.ghgP2Yield).*...
%                                          (s.ghgP1AllocationFactor./s.ghgP1Yield).*...
%                                          (1./s.feedYieldFM(time,:));

s.P1toGJfactor(time,:)                =  s.ghgP1AllocationFactor.*s.ghgP2AllocationFactor...
    ./(s.feedFMenergyContent.*s.plantConvEta(time,:));

% s.P1toGJfactor(time,:)                =  (1./s.fuelSpecificEnergy).*...
%                                        (s.ghgP2AllocationFactor./s.ghgP2Yield).*...
%                                        (s.ghgP1AllocationFactor./s.ghgP1Yield);

s.P2toGJfactor(time,:)                =  s.ghgP2AllocationFactor./(s.feedFMenergyContent.*s.plantConvEta(time,:));
% s.P2toGJfactor(time,:)                =  (1./s.fuelSpecificEnergy).*...
%                                        (s.ghgP2AllocationFactor./s.ghgP2Yield);
                                   
s.ghgCultivationTotGJ(time,:)       =   s.ghgCultivationTotHa(time,:).*s.hatoGJfactor(time,:);
s.ghgTransport1GJ(time,:)           =   s.ghgTransport1(time,:).*s.P1toGJfactor(time,:);
s.ghgP1totGJ(time,:)                =   s.ghgP1tot(time,:).*s.P1toGJfactor(time,:);
s.ghgP2totGJ(time,:)                =   s.ghgP2tot(time,:).*s.P2toGJfactor(time,:);
s.ghgP2ByprodGJ(time,:)             =   -s.ghgP2Byprod(time,:)./(s.feedFMenergyContent.*s.plantConvEta(time,:));
s.ghgTransport2GJ(time,:)           =   s.ghgTransport2(time,:);%./(s.feedFMenergyContent.*s.plantConvEta(time,:));

s.fuelGHGemission(time,:)           =   s.ghgCultivationTotGJ(time,:)+s.ghgTransport1GJ(time,:)+s.ghgP1totGJ(time,:)+s.ghgP2totGJ(time,:)+s.ghgP2ByprodGJ(time,:)+s.ghgTransport2GJ(time,:);


s.ghgHeatTotGJ(time,:)              =   s.ghgP1Heat.*s.ghgEFHeat(time,:).*s.P1toGJfactor(time,:)...
                                        +   s.ghgP2Heat.*s.ghgEFHeat(time,:).*s.P2toGJfactor(time,:)...
                                        +   s.ghgTranspProcessHeat.*s.ghgEFHeat(time,:);

s.ghgPowerTotGJ(time,:)             =   s.ghgPowerDrying.*s.ghgEFPower(time).*s.hatoGJfactor(time,:)...
                                        +   s.ghgP1Power.*s.ghgEFPower(time).*s.P1toGJfactor(time,:)...
                                        +   s.ghgP2Power.*s.ghgEFPower(time).*s.P2toGJfactor(time,:)...
                                        +   s.ghgTranspGasGridPower.*s.ghgEFPower(time);
s.ghgDieselTotGJ(time,:)            =   s.ghgDiesel.*s.ghgEFDiesel(time).*s.hatoGJfactor(time,:)...
                                        +   s.ghgTransport1(time,:).*s.P1toGJfactor(time,:)...
                                        +   s.ghgTransport22(time,:);
s.ghgSoilN2OTotGJ(time,:)           =   (s.ghgN2Oha.*s.ghgEFN2O(1)).*s.hatoGJfactor(time,:);
s.ghgFertilizerTotGJ(time,:)        =   (s.ghgNha.*s.ghgEFN(time)...
                                        +   s.ghgP2O5.*s.ghgEFP2O5(1)...
                                        +   s.ghgK2O.*s.ghgEFK2O(1)...
                                        +   s.ghgCaO.*s.ghgEFCaO(1)...
                                        +   s.ghgMgO.*s.ghgEFMgO(1)).*s.hatoGJfactor(time,:);
s.ghg2ndFeedTotGJ(time,:)             =   s.ghgP2CH3OH.*s.ghgEFCH3OH(time).*s.P2toGJfactor(time,:);

s.ghgOtherTotGJ(time,:)             =   (s.ghgSeeds.*s.ghgEFSeeds...
                                        +   s.ghgPesticides.*s.ghgEFPesticides(1)).*s.hatoGJfactor(time,:)...
                                        +   (s.ghgP1Limestone.*s.ghgEFLimestone...
                                        +   s.ghgP1Hexane.*s.ghgEFHexane...
                                        +   s.ghgP1ProcessH2O.*s.ghgEFProcessH2O...
                                        +   s.ghgP1WastewaterTreatment.*s.ghgEFWastewaterTreatment).*s.P1toGJfactor(time,:)...
                                        +   (s.ghgP2HNO3.*s.ghgEFHNO3(1)...
                                        +   s.ghgP2NaOH.*s.ghgEFNaOH(1)...
                                        +   s.ghgP2H3PO4.*s.ghgEFH3PO4(1)...
                                        +   s.ghgP2DryYeast.*s.ghgEFDryYeast(1)...
                                        +   s.ghgP2CH4N2O.*s.ghgEFCH4N2O(1)...
                                        +   s.ghgP1ProcessH2O.*s.ghgEFProcessH2O(1)...
                                        +   s.ghgP1WastewaterTreatment.*s.ghgEFWastewaterTreatment(1)).*s.P2toGJfactor(time,:);

s.fuelGHGabatement(time,:)              =   s.referenceGHGemission-s.fuelGHGemission(time,:); %% %kgCo2eq/GJ - OBS! Positive number - the higher the better

% s.ghgCategories=['Cultivation','Transp1','Process1','Process2','ByProd','Transp2'];
% s.numGHGcat=size(s.ghgCategories);
end