function s=vehicleDev(s)
% clear all
% clf
% 
% biofuelsData                =   importdata('BENSIM_inputData_171102.xls');
% s.runTime                   =   2051-2017;
% s.referenceGHGemission      =   83.8; %kgCO2/GJ
% s.ghgEFPower                =   biofuelsData.data.powerEmissions(2,1:s.runTime); %kgCO2eq/kWh
col                 =   [169,212,15;...
                             2,175,198;...
                             47,205,156;...
                             79,129,189;...
                             255,193,37;...
                             244,238,0;...
                             204,0,204;...
                             255,84,71;...
                             255,150,0;...
                             196,0,70;...
                             0,0,0;...
                             100,100,100]/255;
                         
%                              226,62,11;...
                         
s.passengerSectorPJstart      =   1546; %PJ
s.referenceGHGemissionMtonPJ  =   s.referenceGHGemission/1000; %MtCO2/PJ
                         
% assuming uniform deployment distribution
s.emisICEVnew                 =   [119	113	107	101	95	92.2	89.4	86.7	83.9	81.1	78.3	75.6	72.8	70	68	66	64	62	60	58	56	54	52	50	50	50	50	50	50	50	50	50	50	50];
s.emisICEVaverage             =   [151	147	142	138	133	127	122	118	113	109	104	100	96	93	89	85	82	79	76	74	71	69	67	65	62	61	59	57	56	55	54	53	52	51];

s.personKMtot                 =   10^9.*[934	938	943	947	952	956	961	965	969	974	978	983	987	992	992	992	992	992	992	992	992	992	992	992	992	992	992	992	992	992	992	992	992	992];
%10^9 passenger-km
s.personPerVehicle            =   1.5;
s.passengerVehicleKMtot       =   s.personKMtot./s.personPerVehicle;

s.totalVehicles               =   45000000;

s.newVehiclesPerYear          =   linspace(3000000,3000000,s.runTime);
s.EVstart                     =   34000;
s.EVincreaseFactor            =   1.5;
s.EVincreaseFactorLow         =   1.3;
s.EVnewStart                  =   s.EVstart*(s.EVincreaseFactor-1);
s.EVpowerReq                  =   linspace(0.2,0.1,s.runTime);
s.vehicleLifeT                =   14;

s.EVdriveFactor               =   1;
s.EVdriveFactorHigh           =   1.5;


for time=1:s.runTime
    s.newEVs(time)            =   min(s.EVnewStart*(s.EVincreaseFactor^(time-1)),s.newVehiclesPerYear(time));
    s.emisEVnew(time)         =   1000*s.ghgEFPower(time)*s.EVpowerReq(time);
    if time<=s.vehicleLifeT
        s.totalEVs(time)      =   s.EVstart+sum(s.newEVs(1:time));
        s.emisEVallAvg(time)  =   1000*s.ghgEFPower(time)*(s.EVstart*s.EVpowerReq(1)...
            +sum(s.newEVs(1:time).*s.EVpowerReq(1:time)))/s.totalEVs(time);
    else
        s.totalEVs(time)      =   sum(s.newEVs(time-s.vehicleLifeT:time));
        s.emisEVallAvg(time)  =   1000*s.ghgEFPower(time)*(sum(s.newEVs(time-s.vehicleLifeT:time).*...
            s.EVpowerReq(time-s.vehicleLifeT:time)))/s.totalEVs(time);
    end
    s.totalICEV(time)         =   s.totalVehicles-s.totalEVs(time);
    s.EVshareVehicles(time)   =   s.totalEVs(time)/s.totalVehicles;
    s.emisAllAverage(time)    =   (s.totalEVs(time)*s.emisEVallAvg(time)+...
        s.totalICEV(time)*s.emisICEVaverage(time))/s.totalVehicles;
    s.newICEV(time)           =   s.newVehiclesPerYear(time)-s.newEVs(time);
    s.emisAllNew(time)        =   (s.newEVs(time)*s.emisEVnew(time)+...
        s.newICEV(time)*s.emisICEVnew(time))/s.newVehiclesPerYear(time);
    
    s.EVshareDrive(time)      =   min(s.EVshareVehicles(time)*s.EVdriveFactor,1);
    s.EVshareDriveHigh(time)  =   min(s.EVshareVehicles(time)*s.EVdriveFactorHigh,1);
    
    s.EVdrive(time)           =   s.EVshareDrive(time)*s.passengerVehicleKMtot(time);
    s.ICEVshareDrive(time)    =   1-s.EVshareDrive(time);
    s.ICEVdrive(time)         =   s.ICEVshareDrive(time)*s.passengerVehicleKMtot(time);
    
    s.ICEVtotalEmissions(time)=   s.ICEVdrive(time)*s.emisICEVaverage(time)*10^-3;
    s.ICEVtotalPJtemp(time)   =   s.ICEVtotalEmissions(time)/s.referenceGHGemissionMtonPJ;
    s.ICEVtotalPJnormed(time) =   s.ICEVtotalPJtemp(time)/s.ICEVtotalPJtemp(1);
    s.ICEVtotalPJ(time)       =   s.passengerSectorPJstart*s.ICEVtotalPJnormed(time);
    
    s.EVdriveHigh(time)       =   s.EVshareDriveHigh(time)*s.passengerVehicleKMtot(time);
    s.ICEVshareDriveHigh(time)=   1-s.EVshareDriveHigh(time);
    s.ICEVdriveHigh(time)     =   s.ICEVshareDriveHigh(time)*s.passengerVehicleKMtot(time);
    
    s.ICEVtotalEmissionsHigh(time)=   s.ICEVdriveHigh(time)*s.emisICEVaverage(time)*10^-3;
    s.ICEVtotalPJtempHigh(time)   =   s.ICEVtotalEmissionsHigh(time)/s.referenceGHGemissionMtonPJ;
    s.ICEVtotalPJnormedHigh(time) =   s.ICEVtotalPJtempHigh(time)/s.ICEVtotalPJtempHigh(1);
    s.ICEVtotalPJHigh(time)       =   s.passengerSectorPJstart*s.ICEVtotalPJnormedHigh(time);
    
    s.ICEVshareDriveNoEV(time)=   1;
    s.ICEVdriveNoEV(time)     =   s.ICEVshareDriveNoEV(time)*s.passengerVehicleKMtot(time);
    
    s.ICEVtotalEmissionsNoEV(time)=   s.ICEVdriveNoEV(time)*s.emisICEVaverage(time)*10^-3;
    s.ICEVtotalPJtempNoEV(time)   =   s.ICEVtotalEmissionsNoEV(time)/s.referenceGHGemissionMtonPJ;
    s.ICEVtotalPJnormedNoEV(time) =   s.ICEVtotalPJtempNoEV(time)/s.ICEVtotalPJtempNoEV(1);
    s.ICEVtotalPJNoEV(time)       =   s.passengerSectorPJstart*s.ICEVtotalPJnormedNoEV(time);
end


for time=1:s.runTime
    s.newEVsLow(time)         =   min(s.EVnewStart*(s.EVincreaseFactorLow^(time-1)),s.newVehiclesPerYear(time));
    if time<=s.vehicleLifeT
        s.totalEVsLow(time)      =   s.EVstart+sum(s.newEVsLow(1:time));
        s.emisEVallAvgLow(time)  =   1000*s.ghgEFPower(time)*(s.EVstart*s.EVpowerReq(1)+...
            sum(s.newEVsLow(1:time).*s.EVpowerReq(1:time)))/s.totalEVsLow(time);
    else
        s.totalEVsLow(time)      =   sum(s.newEVsLow(time-s.vehicleLifeT:time));
        s.emisEVallAvgLow(time)  =   1000*s.ghgEFPower(time)*(sum(s.newEVsLow(time-s.vehicleLifeT:time).*...
            s.EVpowerReq(time-s.vehicleLifeT:time)))/s.totalEVsLow(time);
    end
    s.totalICEVLow(time)      =   s.totalVehicles-s.totalEVsLow(time);
    s.EVshareVehiclesLow(time)=   s.totalEVsLow(time)/s.totalVehicles;
    s.emisAllAverageLow(time) =   (s.totalEVsLow(time)*s.emisEVallAvgLow(time)+...
        s.totalICEVLow(time)*s.emisICEVaverage(time))/s.totalVehicles;
    s.newICEVLow(time)        =   s.newVehiclesPerYear(time)-s.newEVsLow(time);
    s.emisAllNewLow(time)     =   (s.newEVsLow(time)*s.emisEVnew(time)+...
        s.newICEVLow(time)*s.emisICEVnew(time))/s.newVehiclesPerYear(time);
    
    s.EVshareDriveLow(time)   =   min(s.EVshareVehiclesLow(time)*s.EVdriveFactor,1);
    
    s.EVdriveLow(time)        =   s.EVshareDriveLow(time)*s.passengerVehicleKMtot(time);
    s.ICEVshareDriveLow(time) =   1-s.EVshareDriveLow(time);
    s.ICEVdriveLow(time)      =   s.ICEVshareDriveLow(time)*s.passengerVehicleKMtot(time);
    
    s.ICEVtotalEmissionsLow(time)=   s.ICEVdriveLow(time)*s.emisICEVaverage(time)*10^-3;
    s.ICEVtotalPJtempLow(time)   =   s.ICEVtotalEmissionsLow(time)/s.referenceGHGemissionMtonPJ;
    s.ICEVtotalPJnormedLow(time) =   s.ICEVtotalPJtempLow(time)/s.ICEVtotalPJtempLow(1);
    s.ICEVtotalPJLow(time)       =   s.passengerSectorPJstart*s.ICEVtotalPJnormedLow(time);
end

s.demLandNoEVs                  =   s.ICEVtotalPJNoEV;
s.demLandMain                   =   s.ICEVtotalPJ;
s.demLandEVhigh                 =   s.ICEVtotalPJHigh;
s.demLandEVslow                 =   s.ICEVtotalPJLow;


fig=figure(666);

set(fig,'defaultAxesColorOrder',[0 0 0; 0 0 0]);
   
    hold on
    yyaxis left
    hLine1=plot(s.emisICEVnew,'-','LineWidth',1.5);
    hLine2=plot(s.emisICEVaverage,'-','LineWidth',1.5);
    hLine3=plot(s.emisEVnew,'-','LineWidth',1.5);
    hLine4=plot(s.emisEVallAvg,'-','LineWidth',1.5);
    hLine5=plot(s.emisAllNew,'-','LineWidth',1.5);
    hLine6=plot(s.emisAllAverage,'-','LineWidth',1.5);
    ylabel('Passenger vehicle emissions {[gCO_2eq} km^{-1}]');%kg_{CO_2eq} {GJ}^{-1}]');
    axis([1,s.runTime,0,160]);
    
    yyaxis right
    hLine7=plot(s.EVshareDrive,'--','LineWidth',1.5);
    hLine8=plot(s.EVshareDriveHigh,':','LineWidth',1.5);
    hLine9=plot(s.EVshareDriveLow,'-.','LineWidth',1.5);
    ylabel('EV passenger sector share [frac]');%kg_{CO_2eq} {GJ}^{-1}]');
%     axis([1,s.runTime,0,50*10^6]);
%     set(gca,'YTickLabel',{'0','','20','','40','','60','','80','','100'},'XTick',[0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0])%,...
    
   for i=1:7
     set(hLine1,'Color',col(1,:))
     set(hLine2,'Color',col(2,:))
     set(hLine3,'Color',col(3,:))
     set(hLine4,'Color',col(4,:))
     set(hLine5,'Color',col(5,:))
     set(hLine6,'Color',col(6,:))
     set(hLine7,'Color',col(7,:))
     set(hLine8,'Color',col(8,:))
     set(hLine9,'Color',col(9,:))
   end
   
    grid on;
   
    set(gca,'XTickLabel',{'2020','','2030','','2040','','2050'},'XTick',[4,9,14,19,24,29,34])%,...
%         'Color',[0.83 0.816 0.78])
title('Passenger car developments');   
hLegend=legend([hLine1;hLine2;hLine3;hLine4;hLine5;hLine6;hLine7;hLine8;hLine9],{'ICEV new','ICEV all avg.','EV new','EV all avg.','All new avg.',...
    'All tot avg.','EV share base','EV share (iv)','EV share (v)'},'Location','NorthEast');
 
set(hLegend.BoxFace, 'ColorType','truecoloralpha', 'ColorData',uint8(255*[1;1;1;.5]));  % [.5,.5,.5] is light gray; 0.8 means 20% transparent
 
 set(gcf,'Position',[0 0 400 320])
    set(gcf,'PaperUnits','points','PaperPosition',[0 0 400 320],'PaperPositionMode','auto');
set(gca,'FontName','Helvetica')
set(gca,'FontSize',8)
set(findall(gcf,'type','text'),'FontName','Helvetica','FontSize',8)
set(findall(gcf,'type','axes'),'FontName','Helvetica','FontSize',8)
        print(gcf,'-painters','-depsc','-loose','vehicleDev')
        saveas(gcf,'vehicleDev.png')
%     fig=gcf;
%     fig.InvertHardcopy = 'off';
%     print(gcf,'-painters','-depsc','-loose','ghgAbatement')
%     saveas(gcf,'ghgAbatement.png')
end